﻿module("VOICE")

distances = {}

distances.patterns = {
	L"0_point",
	L"1",
	L"1-1",
	L"1-1_point",
	L"10",
	L"100",
	L"1000",
	L"100_and",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"1_point",
	L"2",
	L"2-1",
	L"2-1_point",
	L"20",
	L"200",
	L"200-1",
	L"200-1_and",
	L"200_and",
	L"20_and",
	L"2_point",
	L"3",
	L"30",
	L"300",
	L"300-1",
	L"300-1_and",
	L"300_and",
	L"30_and",
	L"3_point",
	L"4",
	L"40",
	L"400",
	L"400-1",
	L"400-1_and",
	L"400_and",
	L"40_and",
	L"4_point",
	L"5",
	L"50",
	L"500",
	L"500_and",
	L"50_and",
	L"5_point",
	L"6",
	L"60",
	L"600",
	L"600_and",
	L"60_and",
	L"6_point",
	L"7",
	L"70",
	L"700",
	L"700_and",
	L"70_and",
	L"7_point",
	L"8",
	L"80",
	L"800",
	L"800_and",
	L"80_and",
	L"8_point",
	L"9",
	L"90",
	L"900",
	L"900_and",
	L"90_and",
	L"9_point",
	L"a_quarter_mile-e",
	L"a_quarter_mile-m",
	L"after-0",
	L"after-1",
	L"after-10",
	L"after-100",
	L"after-11",
	L"after-14",
	L"after-15",
	L"after-16",
	L"after-17",
	L"after-2",
	L"after-20",
	L"after-21",
	L"after-3",
	L"after-4",
	L"after-5",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-m",
	L"and_1",
	L"and_1-1",
	L"and_10",
	L"and_2",
	L"and_2-1",
	L"and_20",
	L"and_3",
	L"and_30",
	L"and_4",
	L"and_40",
	L"and_5",
	L"and_50",
	L"and_6",
	L"and_60",
	L"and_7",
	L"and_70",
	L"and_8",
	L"and_80",
	L"and_9",
	L"and_90",
	L"drive-0",
	L"drive-1",
	L"drive-10",
	L"drive-100",
	L"drive-11",
	L"drive-14",
	L"drive-15",
	L"drive-16",
	L"drive-17",
	L"drive-2",
	L"drive-20",
	L"drive-21",
	L"drive-3",
	L"drive-4",
	L"drive-5",
	L"drive-6",
	L"drive-7",
	L"drive-8",
	L"drive-9",
	L"drive-m",
	L"feet-1-e",
	L"feet-1-m",
	L"feet-39-e",
	L"feet-39-m",
	L"feet-90-e",
	L"feet-90-m",
	L"feet-d-e",
	L"feet-d-m",
	L"half_a_mile-e",
	L"half_a_mile-m",
	L"in-0",
	L"in-1",
	L"in-10",
	L"in-100",
	L"in-11",
	L"in-14",
	L"in-15",
	L"in-16",
	L"in-17",
	L"in-2",
	L"in-20",
	L"in-21",
	L"in-3",
	L"in-4",
	L"in-5",
	L"in-6",
	L"in-7",
	L"in-8",
	L"in-9",
	L"in-m",
	L"kilometer-e",
	L"kilometer-m",
	L"kilometers-1-e",
	L"kilometers-1-m",
	L"kilometers-10-e",
	L"kilometers-10-m",
	L"kilometers-100-e",
	L"kilometers-100-m",
	L"kilometers-11-e",
	L"kilometers-11-m",
	L"kilometers-12-e",
	L"kilometers-12-m",
	L"kilometers-17-e",
	L"kilometers-17-m",
	L"kilometers-18-e",
	L"kilometers-18-m",
	L"kilometers-19-e",
	L"kilometers-19-m",
	L"kilometers-2-e",
	L"kilometers-2-m",
	L"kilometers-20-e",
	L"kilometers-20-m",
	L"kilometers-3-e",
	L"kilometers-3-m",
	L"kilometers-30-e",
	L"kilometers-30-m",
	L"kilometers-4-e",
	L"kilometers-4-m",
	L"kilometers-5-e",
	L"kilometers-5-m",
	L"kilometers-6-e",
	L"kilometers-6-m",
	L"kilometers-7-e",
	L"kilometers-7-m",
	L"kilometers-8-e",
	L"kilometers-8-m",
	L"kilometers-9-e",
	L"kilometers-9-m",
	L"kilometers-900-e",
	L"kilometers-900-m",
	L"meters-1-e",
	L"meters-1-m",
	L"meters-10-e",
	L"meters-10-m",
	L"meters-20-e",
	L"meters-20-m",
	L"meters-39-e",
	L"meters-39-m",
	L"meters-90-e",
	L"meters-90-m",
	L"mile-e",
	L"mile-m",
	L"miles-1-e",
	L"miles-1-m",
	L"miles-10-e",
	L"miles-10-m",
	L"miles-100-e",
	L"miles-100-m",
	L"miles-11-e",
	L"miles-11-m",
	L"miles-12-e",
	L"miles-12-m",
	L"miles-17-e",
	L"miles-17-m",
	L"miles-18-e",
	L"miles-18-m",
	L"miles-19-e",
	L"miles-19-m",
	L"miles-2-e",
	L"miles-2-m",
	L"miles-20-e",
	L"miles-20-m",
	L"miles-3-e",
	L"miles-3-m",
	L"miles-30-e",
	L"miles-30-m",
	L"miles-4-e",
	L"miles-4-m",
	L"miles-5-e",
	L"miles-5-m",
	L"miles-6-e",
	L"miles-6-m",
	L"miles-7-e",
	L"miles-7-m",
	L"miles-8-e",
	L"miles-8-m",
	L"miles-9-e",
	L"miles-9-m",
	L"miles-900-e",
	L"miles-900-m",
	L"more_than",
	L"the_trip_is_more_than-0",
	L"the_trip_is_more_than-1",
	L"the_trip_is_more_than-10",
	L"the_trip_is_more_than-100",
	L"the_trip_is_more_than-11",
	L"the_trip_is_more_than-14",
	L"the_trip_is_more_than-15",
	L"the_trip_is_more_than-16",
	L"the_trip_is_more_than-17",
	L"the_trip_is_more_than-2",
	L"the_trip_is_more_than-20",
	L"the_trip_is_more_than-21",
	L"the_trip_is_more_than-3",
	L"the_trip_is_more_than-4",
	L"the_trip_is_more_than-5",
	L"the_trip_is_more_than-6",
	L"the_trip_is_more_than-7",
	L"the_trip_is_more_than-8",
	L"the_trip_is_more_than-9",
	L"the_trip_is_more_than-m",
	L"three_quarters_of_a_mile-e",
	L"three_quarters_of_a_mile-m",
	L"yards-1-e",
	L"yards-1-m",
	L"yards-10-e",
	L"yards-10-m",
	L"yards-20-e",
	L"yards-20-m",
	L"yards-39-e",
	L"yards-39-m",
	L"yards-90-e",
	L"yards-90-m",
}

distances.meters = {
	10, "\79\5\129\82\0\79\5\129\81\0\129\21\5\129\82\0\129\21\5\129\81\0\119\5\129\81\0\130\4\5\129\81\0",
	20, "\87\22\129\84\0\87\22\129\83\0\129\29\22\129\84\0\129\29\22\129\83\0\127\22\129\83\0\130\12\22\129\83\0",
	30, "\89\30\129\86\0\89\30\129\85\0\129\31\30\129\86\0\129\31\30\129\85\0\129\1\30\129\85\0\130\14\30\129\85\0",
	40, "\90\38\129\86\0\90\38\129\85\0\129\32\38\129\86\0\129\32\38\129\85\0\129\2\38\129\85\0\130\15\38\129\85\0",
	50, "\91\46\129\86\0\91\46\129\85\0\129\33\46\129\86\0\129\33\46\129\85\0\129\3\46\129\85\0\130\16\46\129\85\0",
	60, "\84\52\129\86\0\84\52\129\85\0\129\26\52\129\86\0\129\26\52\129\85\0\124\52\129\85\0\130\9\52\129\85\0",
	70, "\93\58\129\86\0\93\58\129\85\0\129\35\58\129\86\0\129\35\58\129\85\0\129\5\58\129\85\0\130\18\58\129\85\0",
	80, "\94\64\129\86\0\94\64\129\85\0\129\36\64\129\86\0\129\36\64\129\85\0\129\6\64\129\85\0\130\19\64\129\85\0",
	90, "\95\70\129\86\0\95\70\129\85\0\129\37\70\129\86\0\129\37\70\129\85\0\129\7\70\129\85\0\130\20\70\129\85\0",
	100, "\80\6\129\80\0\80\6\129\79\0\129\22\6\129\80\0\129\22\6\129\79\0\120\6\129\79\0\130\5\6\129\79\0",
	110, "\80\8\99\129\82\0\80\8\99\129\81\0\129\22\8\99\129\82\0\129\22\8\99\129\81\0\120\8\99\129\81\0\130\5\8\99\129\81\0",
	120, "\80\8\102\129\84\0\80\8\102\129\83\0\129\22\8\102\129\84\0\129\22\8\102\129\83\0\120\8\102\129\83\0\130\5\8\102\129\83\0",
	130, "\80\8\104\129\86\0\80\8\104\129\85\0\129\22\8\104\129\86\0\129\22\8\104\129\85\0\120\8\104\129\85\0\130\5\8\104\129\85\0",
	140, "\80\8\106\129\86\0\80\8\106\129\85\0\129\22\8\106\129\86\0\129\22\8\106\129\85\0\120\8\106\129\85\0\130\5\8\106\129\85\0",
	150, "\80\8\108\129\86\0\80\8\108\129\85\0\129\22\8\108\129\86\0\129\22\8\108\129\85\0\120\8\108\129\85\0\130\5\8\108\129\85\0",
	160, "\80\8\110\129\86\0\80\8\110\129\85\0\129\22\8\110\129\86\0\129\22\8\110\129\85\0\120\8\110\129\85\0\130\5\8\110\129\85\0",
	170, "\80\8\112\129\86\0\80\8\112\129\85\0\129\22\8\112\129\86\0\129\22\8\112\129\85\0\120\8\112\129\85\0\130\5\8\112\129\85\0",
	180, "\80\8\114\129\86\0\80\8\114\129\85\0\129\22\8\114\129\86\0\129\22\8\114\129\85\0\120\8\114\129\85\0\130\5\8\114\129\85\0",
	190, "\80\8\116\129\86\0\80\8\116\129\85\0\129\22\8\116\129\86\0\129\22\8\116\129\85\0\120\8\116\129\85\0\130\5\8\116\129\85\0",
	200, "\86\23\129\88\0\86\23\129\87\0\129\28\23\129\88\0\129\28\23\129\87\0\126\23\129\87\0\130\11\23\129\87\0",
	210, "\86\26\99\129\82\0\86\26\99\129\81\0\129\28\26\99\129\82\0\129\28\26\99\129\81\0\126\26\99\129\81\0\130\11\26\99\129\81\0",
	220, "\86\26\102\129\84\0\86\26\102\129\83\0\129\28\26\102\129\84\0\129\28\26\102\129\83\0\126\26\102\129\83\0\130\11\26\102\129\83\0",
	230, "\86\26\104\129\86\0\86\26\104\129\85\0\129\28\26\104\129\86\0\129\28\26\104\129\85\0\126\26\104\129\85\0\130\11\26\104\129\85\0",
	240, "\86\26\106\129\86\0\86\26\106\129\85\0\129\28\26\106\129\86\0\129\28\26\106\129\85\0\126\26\106\129\85\0\130\11\26\106\129\85\0",
	250, "\86\26\108\129\86\0\86\26\108\129\85\0\129\28\26\108\129\86\0\129\28\26\108\129\85\0\126\26\108\129\85\0\130\11\26\108\129\85\0",
	260, "\86\26\110\129\86\0\86\26\110\129\85\0\129\28\26\110\129\86\0\129\28\26\110\129\85\0\126\26\110\129\85\0\130\11\26\110\129\85\0",
	270, "\86\26\112\129\86\0\86\26\112\129\85\0\129\28\26\112\129\86\0\129\28\26\112\129\85\0\126\26\112\129\85\0\130\11\26\112\129\85\0",
	280, "\86\26\114\129\86\0\86\26\114\129\85\0\129\28\26\114\129\86\0\129\28\26\114\129\85\0\126\26\114\129\85\0\130\11\26\114\129\85\0",
	290, "\86\26\116\129\86\0\86\26\116\129\85\0\129\28\26\116\129\86\0\129\28\26\116\129\85\0\126\26\116\129\85\0\130\11\26\116\129\85\0",
	300, "\89\31\129\88\0\89\31\129\87\0\129\31\31\129\88\0\129\31\31\129\87\0\129\1\31\129\87\0\130\14\31\129\87\0",
	310, "\89\34\99\129\82\0\89\34\99\129\81\0\129\31\34\99\129\82\0\129\31\34\99\129\81\0\129\1\34\99\129\81\0\130\14\34\99\129\81\0",
	320, "\89\34\102\129\84\0\89\34\102\129\83\0\129\31\34\102\129\84\0\129\31\34\102\129\83\0\129\1\34\102\129\83\0\130\14\34\102\129\83\0",
	330, "\89\34\104\129\86\0\89\34\104\129\85\0\129\31\34\104\129\86\0\129\31\34\104\129\85\0\129\1\34\104\129\85\0\130\14\34\104\129\85\0",
	340, "\89\34\106\129\86\0\89\34\106\129\85\0\129\31\34\106\129\86\0\129\31\34\106\129\85\0\129\1\34\106\129\85\0\130\14\34\106\129\85\0",
	350, "\89\34\108\129\86\0\89\34\108\129\85\0\129\31\34\108\129\86\0\129\31\34\108\129\85\0\129\1\34\108\129\85\0\130\14\34\108\129\85\0",
	360, "\89\34\110\129\86\0\89\34\110\129\85\0\129\31\34\110\129\86\0\129\31\34\110\129\85\0\129\1\34\110\129\85\0\130\14\34\110\129\85\0",
	370, "\89\34\112\129\86\0\89\34\112\129\85\0\129\31\34\112\129\86\0\129\31\34\112\129\85\0\129\1\34\112\129\85\0\130\14\34\112\129\85\0",
	380, "\89\34\114\129\86\0\89\34\114\129\85\0\129\31\34\114\129\86\0\129\31\34\114\129\85\0\129\1\34\114\129\85\0\130\14\34\114\129\85\0",
	390, "\89\34\116\129\86\0\89\34\116\129\85\0\129\31\34\116\129\86\0\129\31\34\116\129\85\0\129\1\34\116\129\85\0\130\14\34\116\129\85\0",
	400, "\90\39\129\88\0\90\39\129\87\0\129\32\39\129\88\0\129\32\39\129\87\0\129\2\39\129\87\0\130\15\39\129\87\0",
	410, "\90\42\99\129\82\0\90\42\99\129\81\0\129\32\42\99\129\82\0\129\32\42\99\129\81\0\129\2\42\99\129\81\0\130\15\42\99\129\81\0",
	420, "\90\42\102\129\84\0\90\42\102\129\83\0\129\32\42\102\129\84\0\129\32\42\102\129\83\0\129\2\42\102\129\83\0\130\15\42\102\129\83\0",
	430, "\90\42\104\129\86\0\90\42\104\129\85\0\129\32\42\104\129\86\0\129\32\42\104\129\85\0\129\2\42\104\129\85\0\130\15\42\104\129\85\0",
	440, "\90\42\106\129\86\0\90\42\106\129\85\0\129\32\42\106\129\86\0\129\32\42\106\129\85\0\129\2\42\106\129\85\0\130\15\42\106\129\85\0",
	450, "\90\42\108\129\86\0\90\42\108\129\85\0\129\32\42\108\129\86\0\129\32\42\108\129\85\0\129\2\42\108\129\85\0\130\15\42\108\129\85\0",
	460, "\90\42\110\129\86\0\90\42\110\129\85\0\129\32\42\110\129\86\0\129\32\42\110\129\85\0\129\2\42\110\129\85\0\130\15\42\110\129\85\0",
	470, "\90\42\112\129\86\0\90\42\112\129\85\0\129\32\42\112\129\86\0\129\32\42\112\129\85\0\129\2\42\112\129\85\0\130\15\42\112\129\85\0",
	480, "\90\42\114\129\86\0\90\42\114\129\85\0\129\32\42\114\129\86\0\129\32\42\114\129\85\0\129\2\42\114\129\85\0\130\15\42\114\129\85\0",
	490, "\90\42\116\129\86\0\90\42\116\129\85\0\129\32\42\116\129\86\0\129\32\42\116\129\85\0\129\2\42\116\129\85\0\130\15\42\116\129\85\0",
	500, "\91\47\129\88\0\91\47\129\87\0\129\33\47\129\88\0\129\33\47\129\87\0\129\3\47\129\87\0\130\16\47\129\87\0",
	510, "\91\48\99\129\82\0\91\48\99\129\81\0\129\33\48\99\129\82\0\129\33\48\99\129\81\0\129\3\48\99\129\81\0\130\16\48\99\129\81\0",
	520, "\91\48\102\129\84\0\91\48\102\129\83\0\129\33\48\102\129\84\0\129\33\48\102\129\83\0\129\3\48\102\129\83\0\130\16\48\102\129\83\0",
	530, "\91\48\104\129\86\0\91\48\104\129\85\0\129\33\48\104\129\86\0\129\33\48\104\129\85\0\129\3\48\104\129\85\0\130\16\48\104\129\85\0",
	540, "\91\48\106\129\86\0\91\48\106\129\85\0\129\33\48\106\129\86\0\129\33\48\106\129\85\0\129\3\48\106\129\85\0\130\16\48\106\129\85\0",
	550, "\91\48\108\129\86\0\91\48\108\129\85\0\129\33\48\108\129\86\0\129\33\48\108\129\85\0\129\3\48\108\129\85\0\130\16\48\108\129\85\0",
	560, "\91\48\110\129\86\0\91\48\110\129\85\0\129\33\48\110\129\86\0\129\33\48\110\129\85\0\129\3\48\110\129\85\0\130\16\48\110\129\85\0",
	570, "\91\48\112\129\86\0\91\48\112\129\85\0\129\33\48\112\129\86\0\129\33\48\112\129\85\0\129\3\48\112\129\85\0\130\16\48\112\129\85\0",
	580, "\91\48\114\129\86\0\91\48\114\129\85\0\129\33\48\114\129\86\0\129\33\48\114\129\85\0\129\3\48\114\129\85\0\130\16\48\114\129\85\0",
	590, "\91\48\116\129\86\0\91\48\116\129\85\0\129\33\48\116\129\86\0\129\33\48\116\129\85\0\129\3\48\116\129\85\0\130\16\48\116\129\85\0",
	600, "\92\53\129\88\0\92\53\129\87\0\129\34\53\129\88\0\129\34\53\129\87\0\129\4\53\129\87\0\130\17\53\129\87\0",
	610, "\92\54\99\129\82\0\92\54\99\129\81\0\129\34\54\99\129\82\0\129\34\54\99\129\81\0\129\4\54\99\129\81\0\130\17\54\99\129\81\0",
	620, "\92\54\102\129\84\0\92\54\102\129\83\0\129\34\54\102\129\84\0\129\34\54\102\129\83\0\129\4\54\102\129\83\0\130\17\54\102\129\83\0",
	630, "\92\54\104\129\86\0\92\54\104\129\85\0\129\34\54\104\129\86\0\129\34\54\104\129\85\0\129\4\54\104\129\85\0\130\17\54\104\129\85\0",
	640, "\92\54\106\129\86\0\92\54\106\129\85\0\129\34\54\106\129\86\0\129\34\54\106\129\85\0\129\4\54\106\129\85\0\130\17\54\106\129\85\0",
	650, "\92\54\108\129\86\0\92\54\108\129\85\0\129\34\54\108\129\86\0\129\34\54\108\129\85\0\129\4\54\108\129\85\0\130\17\54\108\129\85\0",
	660, "\92\54\110\129\86\0\92\54\110\129\85\0\129\34\54\110\129\86\0\129\34\54\110\129\85\0\129\4\54\110\129\85\0\130\17\54\110\129\85\0",
	670, "\92\54\112\129\86\0\92\54\112\129\85\0\129\34\54\112\129\86\0\129\34\54\112\129\85\0\129\4\54\112\129\85\0\130\17\54\112\129\85\0",
	680, "\92\54\114\129\86\0\92\54\114\129\85\0\129\34\54\114\129\86\0\129\34\54\114\129\85\0\129\4\54\114\129\85\0\130\17\54\114\129\85\0",
	690, "\92\54\116\129\86\0\92\54\116\129\85\0\129\34\54\116\129\86\0\129\34\54\116\129\85\0\129\4\54\116\129\85\0\130\17\54\116\129\85\0",
	700, "\93\59\129\88\0\93\59\129\87\0\129\35\59\129\88\0\129\35\59\129\87\0\129\5\59\129\87\0\130\18\59\129\87\0",
	710, "\93\60\99\129\82\0\93\60\99\129\81\0\129\35\60\99\129\82\0\129\35\60\99\129\81\0\129\5\60\99\129\81\0\130\18\60\99\129\81\0",
	720, "\93\60\102\129\84\0\93\60\102\129\83\0\129\35\60\102\129\84\0\129\35\60\102\129\83\0\129\5\60\102\129\83\0\130\18\60\102\129\83\0",
	730, "\93\60\104\129\86\0\93\60\104\129\85\0\129\35\60\104\129\86\0\129\35\60\104\129\85\0\129\5\60\104\129\85\0\130\18\60\104\129\85\0",
	740, "\93\60\106\129\86\0\93\60\106\129\85\0\129\35\60\106\129\86\0\129\35\60\106\129\85\0\129\5\60\106\129\85\0\130\18\60\106\129\85\0",
	750, "\93\60\108\129\86\0\93\60\108\129\85\0\129\35\60\108\129\86\0\129\35\60\108\129\85\0\129\5\60\108\129\85\0\130\18\60\108\129\85\0",
	760, "\93\60\110\129\86\0\93\60\110\129\85\0\129\35\60\110\129\86\0\129\35\60\110\129\85\0\129\5\60\110\129\85\0\130\18\60\110\129\85\0",
	770, "\93\60\112\129\86\0\93\60\112\129\85\0\129\35\60\112\129\86\0\129\35\60\112\129\85\0\129\5\60\112\129\85\0\130\18\60\112\129\85\0",
	780, "\93\60\114\129\86\0\93\60\114\129\85\0\129\35\60\114\129\86\0\129\35\60\114\129\85\0\129\5\60\114\129\85\0\130\18\60\114\129\85\0",
	790, "\93\60\116\129\86\0\93\60\116\129\85\0\129\35\60\116\129\86\0\129\35\60\116\129\85\0\129\5\60\116\129\85\0\130\18\60\116\129\85\0",
	800, "\94\65\129\88\0\94\65\129\87\0\129\36\65\129\88\0\129\36\65\129\87\0\129\6\65\129\87\0\130\19\65\129\87\0",
	810, "\94\66\99\129\82\0\94\66\99\129\81\0\129\36\66\99\129\82\0\129\36\66\99\129\81\0\129\6\66\99\129\81\0\130\19\66\99\129\81\0",
	820, "\94\66\102\129\84\0\94\66\102\129\83\0\129\36\66\102\129\84\0\129\36\66\102\129\83\0\129\6\66\102\129\83\0\130\19\66\102\129\83\0",
	830, "\94\66\104\129\86\0\94\66\104\129\85\0\129\36\66\104\129\86\0\129\36\66\104\129\85\0\129\6\66\104\129\85\0\130\19\66\104\129\85\0",
	840, "\94\66\106\129\86\0\94\66\106\129\85\0\129\36\66\106\129\86\0\129\36\66\106\129\85\0\129\6\66\106\129\85\0\130\19\66\106\129\85\0",
	850, "\94\66\108\129\86\0\94\66\108\129\85\0\129\36\66\108\129\86\0\129\36\66\108\129\85\0\129\6\66\108\129\85\0\130\19\66\108\129\85\0",
	860, "\94\66\110\129\86\0\94\66\110\129\85\0\129\36\66\110\129\86\0\129\36\66\110\129\85\0\129\6\66\110\129\85\0\130\19\66\110\129\85\0",
	870, "\94\66\112\129\86\0\94\66\112\129\85\0\129\36\66\112\129\86\0\129\36\66\112\129\85\0\129\6\66\112\129\85\0\130\19\66\112\129\85\0",
	880, "\94\66\114\129\86\0\94\66\114\129\85\0\129\36\66\114\129\86\0\129\36\66\114\129\85\0\129\6\66\114\129\85\0\130\19\66\114\129\85\0",
	890, "\94\66\116\129\86\0\94\66\116\129\85\0\129\36\66\116\129\86\0\129\36\66\116\129\85\0\129\6\66\116\129\85\0\130\19\66\116\129\85\0",
	900, "\95\71\129\88\0\95\71\129\87\0\129\37\71\129\88\0\129\37\71\129\87\0\129\7\71\129\87\0\130\20\71\129\87\0",
	910, "\95\72\99\129\82\0\95\72\99\129\81\0\129\37\72\99\129\82\0\129\37\72\99\129\81\0\129\7\72\99\129\81\0\130\20\72\99\129\81\0",
	920, "\95\72\102\129\84\0\95\72\102\129\83\0\129\37\72\102\129\84\0\129\37\72\102\129\83\0\129\7\72\102\129\83\0\130\20\72\102\129\83\0",
	930, "\95\72\104\129\86\0\95\72\104\129\85\0\129\37\72\104\129\86\0\129\37\72\104\129\85\0\129\7\72\104\129\85\0\130\20\72\104\129\85\0",
	940, "\95\72\106\129\86\0\95\72\106\129\85\0\129\37\72\106\129\86\0\129\37\72\106\129\85\0\129\7\72\106\129\85\0\130\20\72\106\129\85\0",
	950, "\95\72\108\129\86\0\95\72\108\129\85\0\129\37\72\108\129\86\0\129\37\72\108\129\85\0\129\7\72\108\129\85\0\130\20\72\108\129\85\0",
	960, "\95\72\110\129\86\0\95\72\110\129\85\0\129\37\72\110\129\86\0\129\37\72\110\129\85\0\129\7\72\110\129\85\0\130\20\72\110\129\85\0",
	970, "\95\72\112\129\86\0\95\72\112\129\85\0\129\37\72\112\129\86\0\129\37\72\112\129\85\0\129\7\72\112\129\85\0\130\20\72\112\129\85\0",
	980, "\95\72\114\129\86\0\95\72\114\129\85\0\129\37\72\114\129\86\0\129\37\72\114\129\85\0\129\7\72\114\129\85\0\130\20\72\114\129\85\0",
	990, "\95\72\116\129\86\0\95\72\116\129\85\0\129\37\72\116\129\86\0\129\37\72\116\129\85\0\129\7\72\116\129\85\0\130\20\72\116\129\85\0",
	1000, "\78\2\129\40\0\78\2\129\39\0\129\20\2\129\40\0\129\20\2\129\39\0\118\2\129\39\0\130\3\2\129\39\0",
	1100, "\78\18\2\129\42\0\78\18\2\129\41\0\129\20\18\2\129\42\0\129\20\18\2\129\41\0\118\18\2\129\41\0\130\3\18\2\129\41\0",
	1200, "\78\18\19\129\58\0\78\18\19\129\57\0\129\20\18\19\129\58\0\129\20\18\19\129\57\0\118\18\19\129\57\0\130\3\18\19\129\57\0",
	1300, "\78\18\29\129\62\0\78\18\29\129\61\0\129\20\18\29\129\62\0\129\20\18\29\129\61\0\118\18\29\129\61\0\130\3\18\29\129\61\0",
	1400, "\78\18\37\129\66\0\78\18\37\129\65\0\129\20\18\37\129\66\0\129\20\18\37\129\65\0\118\18\37\129\65\0\130\3\18\37\129\65\0",
	1500, "\78\18\45\129\68\0\78\18\45\129\67\0\129\20\18\45\129\68\0\129\20\18\45\129\67\0\118\18\45\129\67\0\130\3\18\45\129\67\0",
	1600, "\78\18\51\129\70\0\78\18\51\129\69\0\129\20\18\51\129\70\0\129\20\18\51\129\69\0\118\18\51\129\69\0\130\3\18\51\129\69\0",
	1700, "\78\18\57\129\72\0\78\18\57\129\71\0\129\20\18\57\129\72\0\129\20\18\57\129\71\0\118\18\57\129\71\0\130\3\18\57\129\71\0",
	1800, "\78\18\63\129\74\0\78\18\63\129\73\0\129\20\18\63\129\74\0\129\20\18\63\129\73\0\118\18\63\129\73\0\130\3\18\63\129\73\0",
	1900, "\78\18\69\129\76\0\78\18\69\129\75\0\129\20\18\69\129\76\0\129\20\18\69\129\75\0\118\18\69\129\75\0\130\3\18\69\129\75\0",
	2000, "\86\19\129\58\0\86\19\129\57\0\129\28\19\129\58\0\129\28\19\129\57\0\126\19\129\57\0\130\11\19\129\57\0",
	2100, "\86\28\2\129\42\0\86\28\2\129\41\0\129\28\28\2\129\42\0\129\28\28\2\129\41\0\126\28\2\129\41\0\130\11\28\2\129\41\0",
	2200, "\86\28\19\129\58\0\86\28\19\129\57\0\129\28\28\19\129\58\0\129\28\28\19\129\57\0\126\28\19\129\57\0\130\11\28\19\129\57\0",
	2300, "\86\28\29\129\62\0\86\28\29\129\61\0\129\28\28\29\129\62\0\129\28\28\29\129\61\0\126\28\29\129\61\0\130\11\28\29\129\61\0",
	2400, "\86\28\37\129\66\0\86\28\37\129\65\0\129\28\28\37\129\66\0\129\28\28\37\129\65\0\126\28\37\129\65\0\130\11\28\37\129\65\0",
	2500, "\86\28\45\129\68\0\86\28\45\129\67\0\129\28\28\45\129\68\0\129\28\28\45\129\67\0\126\28\45\129\67\0\130\11\28\45\129\67\0",
	2600, "\86\28\51\129\70\0\86\28\51\129\69\0\129\28\28\51\129\70\0\129\28\28\51\129\69\0\126\28\51\129\69\0\130\11\28\51\129\69\0",
	2700, "\86\28\57\129\72\0\86\28\57\129\71\0\129\28\28\57\129\72\0\129\28\28\57\129\71\0\126\28\57\129\71\0\130\11\28\57\129\71\0",
	2800, "\86\28\63\129\74\0\86\28\63\129\73\0\129\28\28\63\129\74\0\129\28\28\63\129\73\0\126\28\63\129\73\0\130\11\28\63\129\73\0",
	2900, "\86\28\69\129\76\0\86\28\69\129\75\0\129\28\28\69\129\76\0\129\28\28\69\129\75\0\126\28\69\129\75\0\130\11\28\69\129\75\0",
	3000, "\89\29\129\62\0\89\29\129\61\0\129\31\29\129\62\0\129\31\29\129\61\0\129\1\29\129\61\0\130\14\29\129\61\0",
	3100, "\89\36\2\129\42\0\89\36\2\129\41\0\129\31\36\2\129\42\0\129\31\36\2\129\41\0\129\1\36\2\129\41\0\130\14\36\2\129\41\0",
	3200, "\89\36\19\129\58\0\89\36\19\129\57\0\129\31\36\19\129\58\0\129\31\36\19\129\57\0\129\1\36\19\129\57\0\130\14\36\19\129\57\0",
	3300, "\89\36\29\129\62\0\89\36\29\129\61\0\129\31\36\29\129\62\0\129\31\36\29\129\61\0\129\1\36\29\129\61\0\130\14\36\29\129\61\0",
	3400, "\89\36\37\129\66\0\89\36\37\129\65\0\129\31\36\37\129\66\0\129\31\36\37\129\65\0\129\1\36\37\129\65\0\130\14\36\37\129\65\0",
	3500, "\89\36\45\129\68\0\89\36\45\129\67\0\129\31\36\45\129\68\0\129\31\36\45\129\67\0\129\1\36\45\129\67\0\130\14\36\45\129\67\0",
	3600, "\89\36\51\129\70\0\89\36\51\129\69\0\129\31\36\51\129\70\0\129\31\36\51\129\69\0\129\1\36\51\129\69\0\130\14\36\51\129\69\0",
	3700, "\89\36\57\129\72\0\89\36\57\129\71\0\129\31\36\57\129\72\0\129\31\36\57\129\71\0\129\1\36\57\129\71\0\130\14\36\57\129\71\0",
	3800, "\89\36\63\129\74\0\89\36\63\129\73\0\129\31\36\63\129\74\0\129\31\36\63\129\73\0\129\1\36\63\129\73\0\130\14\36\63\129\73\0",
	3900, "\89\36\69\129\76\0\89\36\69\129\75\0\129\31\36\69\129\76\0\129\31\36\69\129\75\0\129\1\36\69\129\75\0\130\14\36\69\129\75\0",
	4000, "\90\37\129\66\0\90\37\129\65\0\129\32\37\129\66\0\129\32\37\129\65\0\129\2\37\129\65\0\130\15\37\129\65\0",
	4100, "\90\44\2\129\42\0\90\44\2\129\41\0\129\32\44\2\129\42\0\129\32\44\2\129\41\0\129\2\44\2\129\41\0\130\15\44\2\129\41\0",
	4200, "\90\44\19\129\58\0\90\44\19\129\57\0\129\32\44\19\129\58\0\129\32\44\19\129\57\0\129\2\44\19\129\57\0\130\15\44\19\129\57\0",
	4300, "\90\44\29\129\62\0\90\44\29\129\61\0\129\32\44\29\129\62\0\129\32\44\29\129\61\0\129\2\44\29\129\61\0\130\15\44\29\129\61\0",
	4400, "\90\44\37\129\66\0\90\44\37\129\65\0\129\32\44\37\129\66\0\129\32\44\37\129\65\0\129\2\44\37\129\65\0\130\15\44\37\129\65\0",
	4500, "\90\44\45\129\68\0\90\44\45\129\67\0\129\32\44\45\129\68\0\129\32\44\45\129\67\0\129\2\44\45\129\67\0\130\15\44\45\129\67\0",
	4600, "\90\44\51\129\70\0\90\44\51\129\69\0\129\32\44\51\129\70\0\129\32\44\51\129\69\0\129\2\44\51\129\69\0\130\15\44\51\129\69\0",
	4700, "\90\44\57\129\72\0\90\44\57\129\71\0\129\32\44\57\129\72\0\129\32\44\57\129\71\0\129\2\44\57\129\71\0\130\15\44\57\129\71\0",
	4800, "\90\44\63\129\74\0\90\44\63\129\73\0\129\32\44\63\129\74\0\129\32\44\63\129\73\0\129\2\44\63\129\73\0\130\15\44\63\129\73\0",
	4900, "\90\44\69\129\76\0\90\44\69\129\75\0\129\32\44\69\129\76\0\129\32\44\69\129\75\0\129\2\44\69\129\75\0\130\15\44\69\129\75\0",
	5000, "\91\45\129\68\0\91\45\129\67\0\129\33\45\129\68\0\129\33\45\129\67\0\129\3\45\129\67\0\130\16\45\129\67\0",
	5100, "\91\50\2\129\42\0\91\50\2\129\41\0\129\33\50\2\129\42\0\129\33\50\2\129\41\0\129\3\50\2\129\41\0\130\16\50\2\129\41\0",
	5200, "\91\50\19\129\58\0\91\50\19\129\57\0\129\33\50\19\129\58\0\129\33\50\19\129\57\0\129\3\50\19\129\57\0\130\16\50\19\129\57\0",
	5300, "\91\50\29\129\62\0\91\50\29\129\61\0\129\33\50\29\129\62\0\129\33\50\29\129\61\0\129\3\50\29\129\61\0\130\16\50\29\129\61\0",
	5400, "\91\50\37\129\66\0\91\50\37\129\65\0\129\33\50\37\129\66\0\129\33\50\37\129\65\0\129\3\50\37\129\65\0\130\16\50\37\129\65\0",
	5500, "\91\50\45\129\68\0\91\50\45\129\67\0\129\33\50\45\129\68\0\129\33\50\45\129\67\0\129\3\50\45\129\67\0\130\16\50\45\129\67\0",
	5600, "\91\50\51\129\70\0\91\50\51\129\69\0\129\33\50\51\129\70\0\129\33\50\51\129\69\0\129\3\50\51\129\69\0\130\16\50\51\129\69\0",
	5700, "\91\50\57\129\72\0\91\50\57\129\71\0\129\33\50\57\129\72\0\129\33\50\57\129\71\0\129\3\50\57\129\71\0\130\16\50\57\129\71\0",
	5800, "\91\50\63\129\74\0\91\50\63\129\73\0\129\33\50\63\129\74\0\129\33\50\63\129\73\0\129\3\50\63\129\73\0\130\16\50\63\129\73\0",
	5900, "\91\50\69\129\76\0\91\50\69\129\75\0\129\33\50\69\129\76\0\129\33\50\69\129\75\0\129\3\50\69\129\75\0\130\16\50\69\129\75\0",
	6000, "\92\51\129\70\0\92\51\129\69\0\129\34\51\129\70\0\129\34\51\129\69\0\129\4\51\129\69\0\130\17\51\129\69\0",
	6100, "\92\56\2\129\42\0\92\56\2\129\41\0\129\34\56\2\129\42\0\129\34\56\2\129\41\0\129\4\56\2\129\41\0\130\17\56\2\129\41\0",
	6200, "\92\56\19\129\58\0\92\56\19\129\57\0\129\34\56\19\129\58\0\129\34\56\19\129\57\0\129\4\56\19\129\57\0\130\17\56\19\129\57\0",
	6300, "\92\56\29\129\62\0\92\56\29\129\61\0\129\34\56\29\129\62\0\129\34\56\29\129\61\0\129\4\56\29\129\61\0\130\17\56\29\129\61\0",
	6400, "\92\56\37\129\66\0\92\56\37\129\65\0\129\34\56\37\129\66\0\129\34\56\37\129\65\0\129\4\56\37\129\65\0\130\17\56\37\129\65\0",
	6500, "\92\56\45\129\68\0\92\56\45\129\67\0\129\34\56\45\129\68\0\129\34\56\45\129\67\0\129\4\56\45\129\67\0\130\17\56\45\129\67\0",
	6600, "\92\56\51\129\70\0\92\56\51\129\69\0\129\34\56\51\129\70\0\129\34\56\51\129\69\0\129\4\56\51\129\69\0\130\17\56\51\129\69\0",
	6700, "\92\56\57\129\72\0\92\56\57\129\71\0\129\34\56\57\129\72\0\129\34\56\57\129\71\0\129\4\56\57\129\71\0\130\17\56\57\129\71\0",
	6800, "\92\56\63\129\74\0\92\56\63\129\73\0\129\34\56\63\129\74\0\129\34\56\63\129\73\0\129\4\56\63\129\73\0\130\17\56\63\129\73\0",
	6900, "\92\56\69\129\76\0\92\56\69\129\75\0\129\34\56\69\129\76\0\129\34\56\69\129\75\0\129\4\56\69\129\75\0\130\17\56\69\129\75\0",
	7000, "\93\57\129\72\0\93\57\129\71\0\129\35\57\129\72\0\129\35\57\129\71\0\129\5\57\129\71\0\130\18\57\129\71\0",
	7100, "\93\62\2\129\42\0\93\62\2\129\41\0\129\35\62\2\129\42\0\129\35\62\2\129\41\0\129\5\62\2\129\41\0\130\18\62\2\129\41\0",
	7200, "\93\62\19\129\58\0\93\62\19\129\57\0\129\35\62\19\129\58\0\129\35\62\19\129\57\0\129\5\62\19\129\57\0\130\18\62\19\129\57\0",
	7300, "\93\62\29\129\62\0\93\62\29\129\61\0\129\35\62\29\129\62\0\129\35\62\29\129\61\0\129\5\62\29\129\61\0\130\18\62\29\129\61\0",
	7400, "\93\62\37\129\66\0\93\62\37\129\65\0\129\35\62\37\129\66\0\129\35\62\37\129\65\0\129\5\62\37\129\65\0\130\18\62\37\129\65\0",
	7500, "\93\62\45\129\68\0\93\62\45\129\67\0\129\35\62\45\129\68\0\129\35\62\45\129\67\0\129\5\62\45\129\67\0\130\18\62\45\129\67\0",
	7600, "\93\62\51\129\70\0\93\62\51\129\69\0\129\35\62\51\129\70\0\129\35\62\51\129\69\0\129\5\62\51\129\69\0\130\18\62\51\129\69\0",
	7700, "\93\62\57\129\72\0\93\62\57\129\71\0\129\35\62\57\129\72\0\129\35\62\57\129\71\0\129\5\62\57\129\71\0\130\18\62\57\129\71\0",
	7800, "\93\62\63\129\74\0\93\62\63\129\73\0\129\35\62\63\129\74\0\129\35\62\63\129\73\0\129\5\62\63\129\73\0\130\18\62\63\129\73\0",
	7900, "\93\62\69\129\76\0\93\62\69\129\75\0\129\35\62\69\129\76\0\129\35\62\69\129\75\0\129\5\62\69\129\75\0\130\18\62\69\129\75\0",
	8000, "\94\63\129\74\0\94\63\129\73\0\129\36\63\129\74\0\129\36\63\129\73\0\129\6\63\129\73\0\130\19\63\129\73\0",
	8100, "\94\68\2\129\42\0\94\68\2\129\41\0\129\36\68\2\129\42\0\129\36\68\2\129\41\0\129\6\68\2\129\41\0\130\19\68\2\129\41\0",
	8200, "\94\68\19\129\58\0\94\68\19\129\57\0\129\36\68\19\129\58\0\129\36\68\19\129\57\0\129\6\68\19\129\57\0\130\19\68\19\129\57\0",
	8300, "\94\68\29\129\62\0\94\68\29\129\61\0\129\36\68\29\129\62\0\129\36\68\29\129\61\0\129\6\68\29\129\61\0\130\19\68\29\129\61\0",
	8400, "\94\68\37\129\66\0\94\68\37\129\65\0\129\36\68\37\129\66\0\129\36\68\37\129\65\0\129\6\68\37\129\65\0\130\19\68\37\129\65\0",
	8500, "\94\68\45\129\68\0\94\68\45\129\67\0\129\36\68\45\129\68\0\129\36\68\45\129\67\0\129\6\68\45\129\67\0\130\19\68\45\129\67\0",
	8600, "\94\68\51\129\70\0\94\68\51\129\69\0\129\36\68\51\129\70\0\129\36\68\51\129\69\0\129\6\68\51\129\69\0\130\19\68\51\129\69\0",
	8700, "\94\68\57\129\72\0\94\68\57\129\71\0\129\36\68\57\129\72\0\129\36\68\57\129\71\0\129\6\68\57\129\71\0\130\19\68\57\129\71\0",
	8800, "\94\68\63\129\74\0\94\68\63\129\73\0\129\36\68\63\129\74\0\129\36\68\63\129\73\0\129\6\68\63\129\73\0\130\19\68\63\129\73\0",
	8900, "\94\68\69\129\76\0\94\68\69\129\75\0\129\36\68\69\129\76\0\129\36\68\69\129\75\0\129\6\68\69\129\75\0\130\19\68\69\129\75\0",
	9000, "\95\69\129\76\0\95\69\129\75\0\129\37\69\129\76\0\129\37\69\129\75\0\129\7\69\129\75\0\130\20\69\129\75\0",
	9100, "\95\74\2\129\42\0\95\74\2\129\41\0\129\37\74\2\129\42\0\129\37\74\2\129\41\0\129\7\74\2\129\41\0\130\20\74\2\129\41\0",
	9200, "\95\74\19\129\58\0\95\74\19\129\57\0\129\37\74\19\129\58\0\129\37\74\19\129\57\0\129\7\74\19\129\57\0\130\20\74\19\129\57\0",
	9300, "\95\74\29\129\62\0\95\74\29\129\61\0\129\37\74\29\129\62\0\129\37\74\29\129\61\0\129\7\74\29\129\61\0\130\20\74\29\129\61\0",
	9400, "\95\74\37\129\66\0\95\74\37\129\65\0\129\37\74\37\129\66\0\129\37\74\37\129\65\0\129\7\74\37\129\65\0\130\20\74\37\129\65\0",
	9500, "\95\74\45\129\68\0\95\74\45\129\67\0\129\37\74\45\129\68\0\129\37\74\45\129\67\0\129\7\74\45\129\67\0\130\20\74\45\129\67\0",
	9600, "\95\74\51\129\70\0\95\74\51\129\69\0\129\37\74\51\129\70\0\129\37\74\51\129\69\0\129\7\74\51\129\69\0\130\20\74\51\129\69\0",
	9700, "\95\74\57\129\72\0\95\74\57\129\71\0\129\37\74\57\129\72\0\129\37\74\57\129\71\0\129\7\74\57\129\71\0\130\20\74\57\129\71\0",
	9800, "\95\74\63\129\74\0\95\74\63\129\73\0\129\37\74\63\129\74\0\129\37\74\63\129\73\0\129\7\74\63\129\73\0\130\20\74\63\129\73\0",
	9900, "\95\74\69\129\76\0\95\74\69\129\75\0\129\37\74\69\129\76\0\129\37\74\69\129\75\0\129\7\74\69\129\75\0\130\20\74\69\129\75\0",
	10000, "\79\5\129\44\0\79\5\129\43\0\129\21\5\129\44\0\129\21\5\129\43\0\119\5\129\43\0\130\4\5\129\43\0",
	11000, "\81\9\129\48\0\81\9\129\47\0\129\23\9\129\48\0\129\23\9\129\47\0\121\9\129\47\0\130\6\9\129\47\0",
	12000, "\86\10\129\50\0\86\10\129\49\0\129\28\10\129\50\0\129\28\10\129\49\0\126\10\129\49\0\130\11\10\129\49\0",
	13000, "\89\11\129\50\0\89\11\129\49\0\129\31\11\129\50\0\129\31\11\129\49\0\129\1\11\129\49\0\130\14\11\129\49\0",
	14000, "\82\12\129\48\0\82\12\129\47\0\129\24\12\129\48\0\129\24\12\129\47\0\122\12\129\47\0\130\7\12\129\47\0",
	15000, "\83\13\129\48\0\83\13\129\47\0\129\25\13\129\48\0\129\25\13\129\47\0\123\13\129\47\0\130\8\13\129\47\0",
	16000, "\84\14\129\50\0\84\14\129\49\0\129\26\14\129\50\0\129\26\14\129\49\0\124\14\129\49\0\130\9\14\129\49\0",
	17000, "\85\15\129\52\0\85\15\129\51\0\129\27\15\129\52\0\129\27\15\129\51\0\125\15\129\51\0\130\10\15\129\51\0",
	18000, "\85\16\129\54\0\85\16\129\53\0\129\27\16\129\54\0\129\27\16\129\53\0\125\16\129\53\0\130\10\16\129\53\0",
	19000, "\85\17\129\56\0\85\17\129\55\0\129\27\17\129\56\0\129\27\17\129\55\0\125\17\129\55\0\130\10\17\129\55\0",
	20000, "\87\22\129\60\0\87\22\129\59\0\129\29\22\129\60\0\129\29\22\129\59\0\127\22\129\59\0\130\12\22\129\59\0",
	21000, "\87\27\97\129\42\0\87\27\97\129\41\0\129\29\27\97\129\42\0\129\29\27\97\129\41\0\127\27\97\129\41\0\130\12\27\97\129\41\0",
	22000, "\87\27\100\129\58\0\87\27\100\129\57\0\129\29\27\100\129\58\0\129\29\27\100\129\57\0\127\27\100\129\57\0\130\12\27\100\129\57\0",
	23000, "\87\27\103\129\62\0\87\27\103\129\61\0\129\29\27\103\129\62\0\129\29\27\103\129\61\0\127\27\103\129\61\0\130\12\27\103\129\61\0",
	24000, "\87\27\105\129\66\0\87\27\105\129\65\0\129\29\27\105\129\66\0\129\29\27\105\129\65\0\127\27\105\129\65\0\130\12\27\105\129\65\0",
	25000, "\87\27\107\129\68\0\87\27\107\129\67\0\129\29\27\107\129\68\0\129\29\27\107\129\67\0\127\27\107\129\67\0\130\12\27\107\129\67\0",
	26000, "\87\27\109\129\70\0\87\27\109\129\69\0\129\29\27\109\129\70\0\129\29\27\109\129\69\0\127\27\109\129\69\0\130\12\27\109\129\69\0",
	27000, "\87\27\111\129\72\0\87\27\111\129\71\0\129\29\27\111\129\72\0\129\29\27\111\129\71\0\127\27\111\129\71\0\130\12\27\111\129\71\0",
	28000, "\87\27\113\129\74\0\87\27\113\129\73\0\129\29\27\113\129\74\0\129\29\27\113\129\73\0\127\27\113\129\73\0\130\12\27\113\129\73\0",
	29000, "\87\27\115\129\76\0\87\27\115\129\75\0\129\29\27\115\129\76\0\129\29\27\115\129\75\0\127\27\115\129\75\0\130\12\27\115\129\75\0",
	30000, "\89\30\129\64\0\89\30\129\63\0\129\31\30\129\64\0\129\31\30\129\63\0\129\1\30\129\63\0\130\14\30\129\63\0",
	31000, "\89\35\97\129\42\0\89\35\97\129\41\0\129\31\35\97\129\42\0\129\31\35\97\129\41\0\129\1\35\97\129\41\0\130\14\35\97\129\41\0",
	32000, "\89\35\100\129\58\0\89\35\100\129\57\0\129\31\35\100\129\58\0\129\31\35\100\129\57\0\129\1\35\100\129\57\0\130\14\35\100\129\57\0",
	33000, "\89\35\103\129\62\0\89\35\103\129\61\0\129\31\35\103\129\62\0\129\31\35\103\129\61\0\129\1\35\103\129\61\0\130\14\35\103\129\61\0",
	34000, "\89\35\105\129\66\0\89\35\105\129\65\0\129\31\35\105\129\66\0\129\31\35\105\129\65\0\129\1\35\105\129\65\0\130\14\35\105\129\65\0",
	35000, "\89\35\107\129\68\0\89\35\107\129\67\0\129\31\35\107\129\68\0\129\31\35\107\129\67\0\129\1\35\107\129\67\0\130\14\35\107\129\67\0",
	36000, "\89\35\109\129\70\0\89\35\109\129\69\0\129\31\35\109\129\70\0\129\31\35\109\129\69\0\129\1\35\109\129\69\0\130\14\35\109\129\69\0",
	37000, "\89\35\111\129\72\0\89\35\111\129\71\0\129\31\35\111\129\72\0\129\31\35\111\129\71\0\129\1\35\111\129\71\0\130\14\35\111\129\71\0",
	38000, "\89\35\113\129\74\0\89\35\113\129\73\0\129\31\35\113\129\74\0\129\31\35\113\129\73\0\129\1\35\113\129\73\0\130\14\35\113\129\73\0",
	39000, "\89\35\115\129\76\0\89\35\115\129\75\0\129\31\35\115\129\76\0\129\31\35\115\129\75\0\129\1\35\115\129\75\0\130\14\35\115\129\75\0",
	40000, "\90\38\129\64\0\90\38\129\63\0\129\32\38\129\64\0\129\32\38\129\63\0\129\2\38\129\63\0\130\15\38\129\63\0",
	41000, "\90\43\97\129\42\0\90\43\97\129\41\0\129\32\43\97\129\42\0\129\32\43\97\129\41\0\129\2\43\97\129\41\0\130\15\43\97\129\41\0",
	42000, "\90\43\100\129\58\0\90\43\100\129\57\0\129\32\43\100\129\58\0\129\32\43\100\129\57\0\129\2\43\100\129\57\0\130\15\43\100\129\57\0",
	43000, "\90\43\103\129\62\0\90\43\103\129\61\0\129\32\43\103\129\62\0\129\32\43\103\129\61\0\129\2\43\103\129\61\0\130\15\43\103\129\61\0",
	44000, "\90\43\105\129\66\0\90\43\105\129\65\0\129\32\43\105\129\66\0\129\32\43\105\129\65\0\129\2\43\105\129\65\0\130\15\43\105\129\65\0",
	45000, "\90\43\107\129\68\0\90\43\107\129\67\0\129\32\43\107\129\68\0\129\32\43\107\129\67\0\129\2\43\107\129\67\0\130\15\43\107\129\67\0",
	46000, "\90\43\109\129\70\0\90\43\109\129\69\0\129\32\43\109\129\70\0\129\32\43\109\129\69\0\129\2\43\109\129\69\0\130\15\43\109\129\69\0",
	47000, "\90\43\111\129\72\0\90\43\111\129\71\0\129\32\43\111\129\72\0\129\32\43\111\129\71\0\129\2\43\111\129\71\0\130\15\43\111\129\71\0",
	48000, "\90\43\113\129\74\0\90\43\113\129\73\0\129\32\43\113\129\74\0\129\32\43\113\129\73\0\129\2\43\113\129\73\0\130\15\43\113\129\73\0",
	49000, "\90\43\115\129\76\0\90\43\115\129\75\0\129\32\43\115\129\76\0\129\32\43\115\129\75\0\129\2\43\115\129\75\0\130\15\43\115\129\75\0",
	50000, "\91\46\129\64\0\91\46\129\63\0\129\33\46\129\64\0\129\33\46\129\63\0\129\3\46\129\63\0\130\16\46\129\63\0",
	51000, "\91\49\97\129\42\0\91\49\97\129\41\0\129\33\49\97\129\42\0\129\33\49\97\129\41\0\129\3\49\97\129\41\0\130\16\49\97\129\41\0",
	52000, "\91\49\100\129\58\0\91\49\100\129\57\0\129\33\49\100\129\58\0\129\33\49\100\129\57\0\129\3\49\100\129\57\0\130\16\49\100\129\57\0",
	53000, "\91\49\103\129\62\0\91\49\103\129\61\0\129\33\49\103\129\62\0\129\33\49\103\129\61\0\129\3\49\103\129\61\0\130\16\49\103\129\61\0",
	54000, "\91\49\105\129\66\0\91\49\105\129\65\0\129\33\49\105\129\66\0\129\33\49\105\129\65\0\129\3\49\105\129\65\0\130\16\49\105\129\65\0",
	55000, "\91\49\107\129\68\0\91\49\107\129\67\0\129\33\49\107\129\68\0\129\33\49\107\129\67\0\129\3\49\107\129\67\0\130\16\49\107\129\67\0",
	56000, "\91\49\109\129\70\0\91\49\109\129\69\0\129\33\49\109\129\70\0\129\33\49\109\129\69\0\129\3\49\109\129\69\0\130\16\49\109\129\69\0",
	57000, "\91\49\111\129\72\0\91\49\111\129\71\0\129\33\49\111\129\72\0\129\33\49\111\129\71\0\129\3\49\111\129\71\0\130\16\49\111\129\71\0",
	58000, "\91\49\113\129\74\0\91\49\113\129\73\0\129\33\49\113\129\74\0\129\33\49\113\129\73\0\129\3\49\113\129\73\0\130\16\49\113\129\73\0",
	59000, "\91\49\115\129\76\0\91\49\115\129\75\0\129\33\49\115\129\76\0\129\33\49\115\129\75\0\129\3\49\115\129\75\0\130\16\49\115\129\75\0",
	60000, "\84\52\129\64\0\84\52\129\63\0\129\26\52\129\64\0\129\26\52\129\63\0\124\52\129\63\0\130\9\52\129\63\0",
	61000, "\84\55\97\129\42\0\84\55\97\129\41\0\129\26\55\97\129\42\0\129\26\55\97\129\41\0\124\55\97\129\41\0\130\9\55\97\129\41\0",
	62000, "\84\55\100\129\58\0\84\55\100\129\57\0\129\26\55\100\129\58\0\129\26\55\100\129\57\0\124\55\100\129\57\0\130\9\55\100\129\57\0",
	63000, "\84\55\103\129\62\0\84\55\103\129\61\0\129\26\55\103\129\62\0\129\26\55\103\129\61\0\124\55\103\129\61\0\130\9\55\103\129\61\0",
	64000, "\84\55\105\129\66\0\84\55\105\129\65\0\129\26\55\105\129\66\0\129\26\55\105\129\65\0\124\55\105\129\65\0\130\9\55\105\129\65\0",
	65000, "\84\55\107\129\68\0\84\55\107\129\67\0\129\26\55\107\129\68\0\129\26\55\107\129\67\0\124\55\107\129\67\0\130\9\55\107\129\67\0",
	66000, "\84\55\109\129\70\0\84\55\109\129\69\0\129\26\55\109\129\70\0\129\26\55\109\129\69\0\124\55\109\129\69\0\130\9\55\109\129\69\0",
	67000, "\84\55\111\129\72\0\84\55\111\129\71\0\129\26\55\111\129\72\0\129\26\55\111\129\71\0\124\55\111\129\71\0\130\9\55\111\129\71\0",
	68000, "\84\55\113\129\74\0\84\55\113\129\73\0\129\26\55\113\129\74\0\129\26\55\113\129\73\0\124\55\113\129\73\0\130\9\55\113\129\73\0",
	69000, "\84\55\115\129\76\0\84\55\115\129\75\0\129\26\55\115\129\76\0\129\26\55\115\129\75\0\124\55\115\129\75\0\130\9\55\115\129\75\0",
	70000, "\93\58\129\64\0\93\58\129\63\0\129\35\58\129\64\0\129\35\58\129\63\0\129\5\58\129\63\0\130\18\58\129\63\0",
	71000, "\93\61\97\129\42\0\93\61\97\129\41\0\129\35\61\97\129\42\0\129\35\61\97\129\41\0\129\5\61\97\129\41\0\130\18\61\97\129\41\0",
	72000, "\93\61\100\129\58\0\93\61\100\129\57\0\129\35\61\100\129\58\0\129\35\61\100\129\57\0\129\5\61\100\129\57\0\130\18\61\100\129\57\0",
	73000, "\93\61\103\129\62\0\93\61\103\129\61\0\129\35\61\103\129\62\0\129\35\61\103\129\61\0\129\5\61\103\129\61\0\130\18\61\103\129\61\0",
	74000, "\93\61\105\129\66\0\93\61\105\129\65\0\129\35\61\105\129\66\0\129\35\61\105\129\65\0\129\5\61\105\129\65\0\130\18\61\105\129\65\0",
	75000, "\93\61\107\129\68\0\93\61\107\129\67\0\129\35\61\107\129\68\0\129\35\61\107\129\67\0\129\5\61\107\129\67\0\130\18\61\107\129\67\0",
	76000, "\93\61\109\129\70\0\93\61\109\129\69\0\129\35\61\109\129\70\0\129\35\61\109\129\69\0\129\5\61\109\129\69\0\130\18\61\109\129\69\0",
	77000, "\93\61\111\129\72\0\93\61\111\129\71\0\129\35\61\111\129\72\0\129\35\61\111\129\71\0\129\5\61\111\129\71\0\130\18\61\111\129\71\0",
	78000, "\93\61\113\129\74\0\93\61\113\129\73\0\129\35\61\113\129\74\0\129\35\61\113\129\73\0\129\5\61\113\129\73\0\130\18\61\113\129\73\0",
	79000, "\93\61\115\129\76\0\93\61\115\129\75\0\129\35\61\115\129\76\0\129\35\61\115\129\75\0\129\5\61\115\129\75\0\130\18\61\115\129\75\0",
	80000, "\94\64\129\64\0\94\64\129\63\0\129\36\64\129\64\0\129\36\64\129\63\0\129\6\64\129\63\0\130\19\64\129\63\0",
	81000, "\94\67\97\129\42\0\94\67\97\129\41\0\129\36\67\97\129\42\0\129\36\67\97\129\41\0\129\6\67\97\129\41\0\130\19\67\97\129\41\0",
	82000, "\94\67\100\129\58\0\94\67\100\129\57\0\129\36\67\100\129\58\0\129\36\67\100\129\57\0\129\6\67\100\129\57\0\130\19\67\100\129\57\0",
	83000, "\94\67\103\129\62\0\94\67\103\129\61\0\129\36\67\103\129\62\0\129\36\67\103\129\61\0\129\6\67\103\129\61\0\130\19\67\103\129\61\0",
	84000, "\94\67\105\129\66\0\94\67\105\129\65\0\129\36\67\105\129\66\0\129\36\67\105\129\65\0\129\6\67\105\129\65\0\130\19\67\105\129\65\0",
	85000, "\94\67\107\129\68\0\94\67\107\129\67\0\129\36\67\107\129\68\0\129\36\67\107\129\67\0\129\6\67\107\129\67\0\130\19\67\107\129\67\0",
	86000, "\94\67\109\129\70\0\94\67\109\129\69\0\129\36\67\109\129\70\0\129\36\67\109\129\69\0\129\6\67\109\129\69\0\130\19\67\109\129\69\0",
	87000, "\94\67\111\129\72\0\94\67\111\129\71\0\129\36\67\111\129\72\0\129\36\67\111\129\71\0\129\6\67\111\129\71\0\130\19\67\111\129\71\0",
	88000, "\94\67\113\129\74\0\94\67\113\129\73\0\129\36\67\113\129\74\0\129\36\67\113\129\73\0\129\6\67\113\129\73\0\130\19\67\113\129\73\0",
	89000, "\94\67\115\129\76\0\94\67\115\129\75\0\129\36\67\115\129\76\0\129\36\67\115\129\75\0\129\6\67\115\129\75\0\130\19\67\115\129\75\0",
	90000, "\95\70\129\64\0\95\70\129\63\0\129\37\70\129\64\0\129\37\70\129\63\0\129\7\70\129\63\0\130\20\70\129\63\0",
	91000, "\95\73\97\129\42\0\95\73\97\129\41\0\129\37\73\97\129\42\0\129\37\73\97\129\41\0\129\7\73\97\129\41\0\130\20\73\97\129\41\0",
	92000, "\95\73\100\129\58\0\95\73\100\129\57\0\129\37\73\100\129\58\0\129\37\73\100\129\57\0\129\7\73\100\129\57\0\130\20\73\100\129\57\0",
	93000, "\95\73\103\129\62\0\95\73\103\129\61\0\129\37\73\103\129\62\0\129\37\73\103\129\61\0\129\7\73\103\129\61\0\130\20\73\103\129\61\0",
	94000, "\95\73\105\129\66\0\95\73\105\129\65\0\129\37\73\105\129\66\0\129\37\73\105\129\65\0\129\7\73\105\129\65\0\130\20\73\105\129\65\0",
	95000, "\95\73\107\129\68\0\95\73\107\129\67\0\129\37\73\107\129\68\0\129\37\73\107\129\67\0\129\7\73\107\129\67\0\130\20\73\107\129\67\0",
	96000, "\95\73\109\129\70\0\95\73\109\129\69\0\129\37\73\109\129\70\0\129\37\73\109\129\69\0\129\7\73\109\129\69\0\130\20\73\109\129\69\0",
	97000, "\95\73\111\129\72\0\95\73\111\129\71\0\129\37\73\111\129\72\0\129\37\73\111\129\71\0\129\7\73\111\129\71\0\130\20\73\111\129\71\0",
	98000, "\95\73\113\129\74\0\95\73\113\129\73\0\129\37\73\113\129\74\0\129\37\73\113\129\73\0\129\7\73\113\129\73\0\130\20\73\113\129\73\0",
	99000, "\95\73\115\129\76\0\95\73\115\129\75\0\129\37\73\115\129\76\0\129\37\73\115\129\75\0\129\7\73\115\129\75\0\130\20\73\115\129\75\0",
	100000, "\80\6\129\46\0\80\6\129\45\0\129\22\6\129\46\0\129\22\6\129\45\0\120\6\129\45\0\130\5\6\129\45\0",
	110000, "\80\8\99\129\44\0\80\8\99\129\43\0\129\22\8\99\129\44\0\129\22\8\99\129\43\0\120\8\99\129\43\0\130\5\8\99\129\43\0",
	120000, "\80\8\102\129\60\0\80\8\102\129\59\0\129\22\8\102\129\60\0\129\22\8\102\129\59\0\120\8\102\129\59\0\130\5\8\102\129\59\0",
	130000, "\80\8\104\129\64\0\80\8\104\129\63\0\129\22\8\104\129\64\0\129\22\8\104\129\63\0\120\8\104\129\63\0\130\5\8\104\129\63\0",
	140000, "\80\8\106\129\64\0\80\8\106\129\63\0\129\22\8\106\129\64\0\129\22\8\106\129\63\0\120\8\106\129\63\0\130\5\8\106\129\63\0",
	150000, "\80\8\108\129\64\0\80\8\108\129\63\0\129\22\8\108\129\64\0\129\22\8\108\129\63\0\120\8\108\129\63\0\130\5\8\108\129\63\0",
	160000, "\80\8\110\129\64\0\80\8\110\129\63\0\129\22\8\110\129\64\0\129\22\8\110\129\63\0\120\8\110\129\63\0\130\5\8\110\129\63\0",
	170000, "\80\8\112\129\64\0\80\8\112\129\63\0\129\22\8\112\129\64\0\129\22\8\112\129\63\0\120\8\112\129\63\0\130\5\8\112\129\63\0",
	180000, "\80\8\114\129\64\0\80\8\114\129\63\0\129\22\8\114\129\64\0\129\22\8\114\129\63\0\120\8\114\129\63\0\130\5\8\114\129\63\0",
	190000, "\80\8\116\129\64\0\80\8\116\129\63\0\129\22\8\116\129\64\0\129\22\8\116\129\63\0\120\8\116\129\63\0\130\5\8\116\129\63\0",
	200000, "\86\23\129\78\0\86\23\129\77\0\129\28\23\129\78\0\129\28\23\129\77\0\126\23\129\77\0\130\11\23\129\77\0",
	210000, "\86\26\99\129\44\0\86\26\99\129\43\0\129\28\26\99\129\44\0\129\28\26\99\129\43\0\126\26\99\129\43\0\130\11\26\99\129\43\0",
	220000, "\86\26\102\129\60\0\86\26\102\129\59\0\129\28\26\102\129\60\0\129\28\26\102\129\59\0\126\26\102\129\59\0\130\11\26\102\129\59\0",
	230000, "\86\26\104\129\64\0\86\26\104\129\63\0\129\28\26\104\129\64\0\129\28\26\104\129\63\0\126\26\104\129\63\0\130\11\26\104\129\63\0",
	240000, "\86\26\106\129\64\0\86\26\106\129\63\0\129\28\26\106\129\64\0\129\28\26\106\129\63\0\126\26\106\129\63\0\130\11\26\106\129\63\0",
	250000, "\86\26\108\129\64\0\86\26\108\129\63\0\129\28\26\108\129\64\0\129\28\26\108\129\63\0\126\26\108\129\63\0\130\11\26\108\129\63\0",
	260000, "\86\26\110\129\64\0\86\26\110\129\63\0\129\28\26\110\129\64\0\129\28\26\110\129\63\0\126\26\110\129\63\0\130\11\26\110\129\63\0",
	270000, "\86\26\112\129\64\0\86\26\112\129\63\0\129\28\26\112\129\64\0\129\28\26\112\129\63\0\126\26\112\129\63\0\130\11\26\112\129\63\0",
	280000, "\86\26\114\129\64\0\86\26\114\129\63\0\129\28\26\114\129\64\0\129\28\26\114\129\63\0\126\26\114\129\63\0\130\11\26\114\129\63\0",
	290000, "\86\26\116\129\64\0\86\26\116\129\63\0\129\28\26\116\129\64\0\129\28\26\116\129\63\0\126\26\116\129\63\0\130\11\26\116\129\63\0",
	300000, "\89\31\129\78\0\89\31\129\77\0\129\31\31\129\78\0\129\31\31\129\77\0\129\1\31\129\77\0\130\14\31\129\77\0",
	310000, "\89\34\99\129\44\0\89\34\99\129\43\0\129\31\34\99\129\44\0\129\31\34\99\129\43\0\129\1\34\99\129\43\0\130\14\34\99\129\43\0",
	320000, "\89\34\102\129\60\0\89\34\102\129\59\0\129\31\34\102\129\60\0\129\31\34\102\129\59\0\129\1\34\102\129\59\0\130\14\34\102\129\59\0",
	330000, "\89\34\104\129\64\0\89\34\104\129\63\0\129\31\34\104\129\64\0\129\31\34\104\129\63\0\129\1\34\104\129\63\0\130\14\34\104\129\63\0",
	340000, "\89\34\106\129\64\0\89\34\106\129\63\0\129\31\34\106\129\64\0\129\31\34\106\129\63\0\129\1\34\106\129\63\0\130\14\34\106\129\63\0",
	350000, "\89\34\108\129\64\0\89\34\108\129\63\0\129\31\34\108\129\64\0\129\31\34\108\129\63\0\129\1\34\108\129\63\0\130\14\34\108\129\63\0",
	360000, "\89\34\110\129\64\0\89\34\110\129\63\0\129\31\34\110\129\64\0\129\31\34\110\129\63\0\129\1\34\110\129\63\0\130\14\34\110\129\63\0",
	370000, "\89\34\112\129\64\0\89\34\112\129\63\0\129\31\34\112\129\64\0\129\31\34\112\129\63\0\129\1\34\112\129\63\0\130\14\34\112\129\63\0",
	380000, "\89\34\114\129\64\0\89\34\114\129\63\0\129\31\34\114\129\64\0\129\31\34\114\129\63\0\129\1\34\114\129\63\0\130\14\34\114\129\63\0",
	390000, "\89\34\116\129\64\0\89\34\116\129\63\0\129\31\34\116\129\64\0\129\31\34\116\129\63\0\129\1\34\116\129\63\0\130\14\34\116\129\63\0",
	400000, "\90\39\129\78\0\90\39\129\77\0\129\32\39\129\78\0\129\32\39\129\77\0\129\2\39\129\77\0\130\15\39\129\77\0",
	410000, "\90\42\99\129\44\0\90\42\99\129\43\0\129\32\42\99\129\44\0\129\32\42\99\129\43\0\129\2\42\99\129\43\0\130\15\42\99\129\43\0",
	420000, "\90\42\102\129\60\0\90\42\102\129\59\0\129\32\42\102\129\60\0\129\32\42\102\129\59\0\129\2\42\102\129\59\0\130\15\42\102\129\59\0",
	430000, "\90\42\104\129\64\0\90\42\104\129\63\0\129\32\42\104\129\64\0\129\32\42\104\129\63\0\129\2\42\104\129\63\0\130\15\42\104\129\63\0",
	440000, "\90\42\106\129\64\0\90\42\106\129\63\0\129\32\42\106\129\64\0\129\32\42\106\129\63\0\129\2\42\106\129\63\0\130\15\42\106\129\63\0",
	450000, "\90\42\108\129\64\0\90\42\108\129\63\0\129\32\42\108\129\64\0\129\32\42\108\129\63\0\129\2\42\108\129\63\0\130\15\42\108\129\63\0",
	460000, "\90\42\110\129\64\0\90\42\110\129\63\0\129\32\42\110\129\64\0\129\32\42\110\129\63\0\129\2\42\110\129\63\0\130\15\42\110\129\63\0",
	470000, "\90\42\112\129\64\0\90\42\112\129\63\0\129\32\42\112\129\64\0\129\32\42\112\129\63\0\129\2\42\112\129\63\0\130\15\42\112\129\63\0",
	480000, "\90\42\114\129\64\0\90\42\114\129\63\0\129\32\42\114\129\64\0\129\32\42\114\129\63\0\129\2\42\114\129\63\0\130\15\42\114\129\63\0",
	490000, "\90\42\116\129\64\0\90\42\116\129\63\0\129\32\42\116\129\64\0\129\32\42\116\129\63\0\129\2\42\116\129\63\0\130\15\42\116\129\63\0",
	500000, "\91\47\129\78\0\91\47\129\77\0\129\33\47\129\78\0\129\33\47\129\77\0\129\3\47\129\77\0\130\16\47\129\77\0",
	510000, "\96\130\1\47\129\78\0\96\130\1\47\129\77\0\129\38\130\1\47\129\78\0\129\38\130\1\47\129\77\0\129\8\130\1\47\129\77\0\130\16\47\129\77\0",
}

distances.feet = {
	15, "\91\46\129\12\0\91\46\129\11\0\129\33\46\129\12\0\129\33\46\129\11\0\129\3\46\129\11\0\130\16\46\129\11\0",
	30, "\80\6\129\10\0\80\6\129\9\0\129\22\6\129\10\0\129\22\6\129\9\0\120\6\129\9\0\130\5\6\129\9\0",
	46, "\80\8\108\129\12\0\80\8\108\129\11\0\129\22\8\108\129\12\0\129\22\8\108\129\11\0\120\8\108\129\11\0\130\5\8\108\129\11\0",
	61, "\86\23\129\14\0\86\23\129\13\0\129\28\23\129\14\0\129\28\23\129\13\0\126\23\129\13\0\130\11\23\129\13\0",
	91, "\89\31\129\14\0\89\31\129\13\0\129\31\31\129\14\0\129\31\31\129\13\0\129\1\31\129\13\0\130\14\31\129\13\0",
	122, "\90\39\129\14\0\90\39\129\13\0\129\32\39\129\14\0\129\32\39\129\13\0\129\2\39\129\13\0\130\15\39\129\13\0",
	152, "\91\47\129\14\0\91\47\129\13\0\129\33\47\129\14\0\129\33\47\129\13\0\129\3\47\129\13\0\130\16\47\129\13\0",
	183, "\92\53\129\14\0\92\53\129\13\0\129\34\53\129\14\0\129\34\53\129\13\0\129\4\53\129\13\0\130\17\53\129\13\0",
	213, "\93\59\129\14\0\93\59\129\13\0\129\35\59\129\14\0\129\35\59\129\13\0\129\5\59\129\13\0\130\18\59\129\13\0",
	244, "\94\65\129\14\0\94\65\129\13\0\129\36\65\129\14\0\129\36\65\129\13\0\129\6\65\129\13\0\130\19\65\129\13\0",
	274, "\95\71\129\14\0\95\71\129\13\0\129\37\71\129\14\0\129\37\71\129\13\0\129\7\71\129\13\0\130\20\71\129\13\0",
	305, "\96\7\129\16\0\96\7\129\15\0\129\38\7\129\16\0\129\38\7\129\15\0\129\8\7\129\15\0\130\21\7\129\15\0",
	402, "\78\76\0\78\75\0\129\20\76\0\129\20\75\0\118\75\0\130\3\75\0",
	644, "\77\1\37\129\116\0\77\1\37\129\115\0\129\19\1\37\129\116\0\129\19\1\37\129\115\0\117\1\37\129\115\0\130\2\1\37\129\115\0",
	805, "\96\129\18\0\96\129\17\0\129\38\129\18\0\129\38\129\17\0\129\8\129\17\0\130\21\129\17\0",
	966, "\77\1\51\129\120\0\77\1\51\129\119\0\129\19\1\51\129\120\0\129\19\1\51\129\119\0\117\1\51\129\119\0\130\2\1\51\129\119\0",
	1127, "\89\130\23\0\89\130\22\0\129\31\130\23\0\129\31\130\22\0\129\1\130\22\0\130\14\130\22\0",
	1448, "\77\1\69\129\126\0\77\1\69\129\125\0\129\19\1\69\129\126\0\129\19\1\69\129\125\0\117\1\69\129\125\0\130\2\1\69\129\125\0",
	1609, "\78\3\129\90\0\78\3\129\89\0\129\20\3\129\90\0\129\20\3\129\89\0\118\3\129\89\0\130\3\3\129\89\0",
	1770, "\78\4\3\129\92\0\78\4\3\129\91\0\129\20\4\3\129\92\0\129\20\4\3\129\91\0\118\4\3\129\91\0\130\3\4\3\129\91\0",
	1931, "\78\4\20\129\108\0\78\4\20\129\107\0\129\20\4\20\129\108\0\129\20\4\20\129\107\0\118\4\20\129\107\0\130\3\4\20\129\107\0",
	2092, "\78\4\29\129\112\0\78\4\29\129\111\0\129\20\4\29\129\112\0\129\20\4\29\129\111\0\118\4\29\129\111\0\130\3\4\29\129\111\0",
	2253, "\78\4\37\129\116\0\78\4\37\129\115\0\129\20\4\37\129\116\0\129\20\4\37\129\115\0\118\4\37\129\115\0\130\3\4\37\129\115\0",
	2414, "\78\4\45\129\118\0\78\4\45\129\117\0\129\20\4\45\129\118\0\129\20\4\45\129\117\0\118\4\45\129\117\0\130\3\4\45\129\117\0",
	2575, "\78\4\51\129\120\0\78\4\51\129\119\0\129\20\4\51\129\120\0\129\20\4\51\129\119\0\118\4\51\129\119\0\130\3\4\51\129\119\0",
	2736, "\78\4\57\129\122\0\78\4\57\129\121\0\129\20\4\57\129\122\0\129\20\4\57\129\121\0\118\4\57\129\121\0\130\3\4\57\129\121\0",
	2897, "\78\4\63\129\124\0\78\4\63\129\123\0\129\20\4\63\129\124\0\129\20\4\63\129\123\0\118\4\63\129\123\0\130\3\4\63\129\123\0",
	3058, "\78\4\69\129\126\0\78\4\69\129\125\0\129\20\4\69\129\126\0\129\20\4\69\129\125\0\118\4\69\129\125\0\130\3\4\69\129\125\0",
	3219, "\86\20\129\108\0\86\20\129\107\0\129\28\20\129\108\0\129\28\20\129\107\0\126\20\129\107\0\130\11\20\129\107\0",
	3380, "\86\21\3\129\92\0\86\21\3\129\91\0\129\28\21\3\129\92\0\129\28\21\3\129\91\0\126\21\3\129\91\0\130\11\21\3\129\91\0",
	3541, "\86\21\20\129\108\0\86\21\20\129\107\0\129\28\21\20\129\108\0\129\28\21\20\129\107\0\126\21\20\129\107\0\130\11\21\20\129\107\0",
	3701, "\86\21\29\129\112\0\86\21\29\129\111\0\129\28\21\29\129\112\0\129\28\21\29\129\111\0\126\21\29\129\111\0\130\11\21\29\129\111\0",
	3862, "\86\21\37\129\116\0\86\21\37\129\115\0\129\28\21\37\129\116\0\129\28\21\37\129\115\0\126\21\37\129\115\0\130\11\21\37\129\115\0",
	4023, "\86\21\45\129\118\0\86\21\45\129\117\0\129\28\21\45\129\118\0\129\28\21\45\129\117\0\126\21\45\129\117\0\130\11\21\45\129\117\0",
	4184, "\86\21\51\129\120\0\86\21\51\129\119\0\129\28\21\51\129\120\0\129\28\21\51\129\119\0\126\21\51\129\119\0\130\11\21\51\129\119\0",
	4345, "\86\21\57\129\122\0\86\21\57\129\121\0\129\28\21\57\129\122\0\129\28\21\57\129\121\0\126\21\57\129\121\0\130\11\21\57\129\121\0",
	4506, "\86\21\63\129\124\0\86\21\63\129\123\0\129\28\21\63\129\124\0\129\28\21\63\129\123\0\126\21\63\129\123\0\130\11\21\63\129\123\0",
	4667, "\86\21\69\129\126\0\86\21\69\129\125\0\129\28\21\69\129\126\0\129\28\21\69\129\125\0\126\21\69\129\125\0\130\11\21\69\129\125\0",
	4828, "\89\29\129\112\0\89\29\129\111\0\129\31\29\129\112\0\129\31\29\129\111\0\129\1\29\129\111\0\130\14\29\129\111\0",
	4989, "\89\36\3\129\92\0\89\36\3\129\91\0\129\31\36\3\129\92\0\129\31\36\3\129\91\0\129\1\36\3\129\91\0\130\14\36\3\129\91\0",
	5150, "\89\36\20\129\108\0\89\36\20\129\107\0\129\31\36\20\129\108\0\129\31\36\20\129\107\0\129\1\36\20\129\107\0\130\14\36\20\129\107\0",
	5311, "\89\36\29\129\112\0\89\36\29\129\111\0\129\31\36\29\129\112\0\129\31\36\29\129\111\0\129\1\36\29\129\111\0\130\14\36\29\129\111\0",
	5472, "\89\36\37\129\116\0\89\36\37\129\115\0\129\31\36\37\129\116\0\129\31\36\37\129\115\0\129\1\36\37\129\115\0\130\14\36\37\129\115\0",
	5633, "\89\36\45\129\118\0\89\36\45\129\117\0\129\31\36\45\129\118\0\129\31\36\45\129\117\0\129\1\36\45\129\117\0\130\14\36\45\129\117\0",
	5794, "\89\36\51\129\120\0\89\36\51\129\119\0\129\31\36\51\129\120\0\129\31\36\51\129\119\0\129\1\36\51\129\119\0\130\14\36\51\129\119\0",
	5955, "\89\36\57\129\122\0\89\36\57\129\121\0\129\31\36\57\129\122\0\129\31\36\57\129\121\0\129\1\36\57\129\121\0\130\14\36\57\129\121\0",
	6116, "\89\36\63\129\124\0\89\36\63\129\123\0\129\31\36\63\129\124\0\129\31\36\63\129\123\0\129\1\36\63\129\123\0\130\14\36\63\129\123\0",
	6276, "\89\36\69\129\126\0\89\36\69\129\125\0\129\31\36\69\129\126\0\129\31\36\69\129\125\0\129\1\36\69\129\125\0\130\14\36\69\129\125\0",
	6437, "\90\37\129\116\0\90\37\129\115\0\129\32\37\129\116\0\129\32\37\129\115\0\129\2\37\129\115\0\130\15\37\129\115\0",
	6598, "\90\44\3\129\92\0\90\44\3\129\91\0\129\32\44\3\129\92\0\129\32\44\3\129\91\0\129\2\44\3\129\91\0\130\15\44\3\129\91\0",
	6759, "\90\44\20\129\108\0\90\44\20\129\107\0\129\32\44\20\129\108\0\129\32\44\20\129\107\0\129\2\44\20\129\107\0\130\15\44\20\129\107\0",
	6920, "\90\44\29\129\112\0\90\44\29\129\111\0\129\32\44\29\129\112\0\129\32\44\29\129\111\0\129\2\44\29\129\111\0\130\15\44\29\129\111\0",
	7081, "\90\44\37\129\116\0\90\44\37\129\115\0\129\32\44\37\129\116\0\129\32\44\37\129\115\0\129\2\44\37\129\115\0\130\15\44\37\129\115\0",
	7242, "\90\44\45\129\118\0\90\44\45\129\117\0\129\32\44\45\129\118\0\129\32\44\45\129\117\0\129\2\44\45\129\117\0\130\15\44\45\129\117\0",
	7403, "\90\44\51\129\120\0\90\44\51\129\119\0\129\32\44\51\129\120\0\129\32\44\51\129\119\0\129\2\44\51\129\119\0\130\15\44\51\129\119\0",
	7564, "\90\44\57\129\122\0\90\44\57\129\121\0\129\32\44\57\129\122\0\129\32\44\57\129\121\0\129\2\44\57\129\121\0\130\15\44\57\129\121\0",
	7725, "\90\44\63\129\124\0\90\44\63\129\123\0\129\32\44\63\129\124\0\129\32\44\63\129\123\0\129\2\44\63\129\123\0\130\15\44\63\129\123\0",
	7886, "\90\44\69\129\126\0\90\44\69\129\125\0\129\32\44\69\129\126\0\129\32\44\69\129\125\0\129\2\44\69\129\125\0\130\15\44\69\129\125\0",
	8047, "\91\45\129\118\0\91\45\129\117\0\129\33\45\129\118\0\129\33\45\129\117\0\129\3\45\129\117\0\130\16\45\129\117\0",
	8208, "\91\50\3\129\92\0\91\50\3\129\91\0\129\33\50\3\129\92\0\129\33\50\3\129\91\0\129\3\50\3\129\91\0\130\16\50\3\129\91\0",
	8369, "\91\50\20\129\108\0\91\50\20\129\107\0\129\33\50\20\129\108\0\129\33\50\20\129\107\0\129\3\50\20\129\107\0\130\16\50\20\129\107\0",
	8530, "\91\50\29\129\112\0\91\50\29\129\111\0\129\33\50\29\129\112\0\129\33\50\29\129\111\0\129\3\50\29\129\111\0\130\16\50\29\129\111\0",
	8690, "\91\50\37\129\116\0\91\50\37\129\115\0\129\33\50\37\129\116\0\129\33\50\37\129\115\0\129\3\50\37\129\115\0\130\16\50\37\129\115\0",
	8851, "\91\50\45\129\118\0\91\50\45\129\117\0\129\33\50\45\129\118\0\129\33\50\45\129\117\0\129\3\50\45\129\117\0\130\16\50\45\129\117\0",
	9012, "\91\50\51\129\120\0\91\50\51\129\119\0\129\33\50\51\129\120\0\129\33\50\51\129\119\0\129\3\50\51\129\119\0\130\16\50\51\129\119\0",
	9173, "\91\50\57\129\122\0\91\50\57\129\121\0\129\33\50\57\129\122\0\129\33\50\57\129\121\0\129\3\50\57\129\121\0\130\16\50\57\129\121\0",
	9334, "\91\50\63\129\124\0\91\50\63\129\123\0\129\33\50\63\129\124\0\129\33\50\63\129\123\0\129\3\50\63\129\123\0\130\16\50\63\129\123\0",
	9495, "\91\50\69\129\126\0\91\50\69\129\125\0\129\33\50\69\129\126\0\129\33\50\69\129\125\0\129\3\50\69\129\125\0\130\16\50\69\129\125\0",
	9656, "\92\51\129\120\0\92\51\129\119\0\129\34\51\129\120\0\129\34\51\129\119\0\129\4\51\129\119\0\130\17\51\129\119\0",
	9817, "\92\56\3\129\92\0\92\56\3\129\91\0\129\34\56\3\129\92\0\129\34\56\3\129\91\0\129\4\56\3\129\91\0\130\17\56\3\129\91\0",
	9978, "\92\56\20\129\108\0\92\56\20\129\107\0\129\34\56\20\129\108\0\129\34\56\20\129\107\0\129\4\56\20\129\107\0\130\17\56\20\129\107\0",
	10139, "\92\56\29\129\112\0\92\56\29\129\111\0\129\34\56\29\129\112\0\129\34\56\29\129\111\0\129\4\56\29\129\111\0\130\17\56\29\129\111\0",
	10300, "\92\56\37\129\116\0\92\56\37\129\115\0\129\34\56\37\129\116\0\129\34\56\37\129\115\0\129\4\56\37\129\115\0\130\17\56\37\129\115\0",
	10461, "\92\56\45\129\118\0\92\56\45\129\117\0\129\34\56\45\129\118\0\129\34\56\45\129\117\0\129\4\56\45\129\117\0\130\17\56\45\129\117\0",
	10622, "\92\56\51\129\120\0\92\56\51\129\119\0\129\34\56\51\129\120\0\129\34\56\51\129\119\0\129\4\56\51\129\119\0\130\17\56\51\129\119\0",
	10783, "\92\56\57\129\122\0\92\56\57\129\121\0\129\34\56\57\129\122\0\129\34\56\57\129\121\0\129\4\56\57\129\121\0\130\17\56\57\129\121\0",
	10944, "\92\56\63\129\124\0\92\56\63\129\123\0\129\34\56\63\129\124\0\129\34\56\63\129\123\0\129\4\56\63\129\123\0\130\17\56\63\129\123\0",
	11104, "\92\56\69\129\126\0\92\56\69\129\125\0\129\34\56\69\129\126\0\129\34\56\69\129\125\0\129\4\56\69\129\125\0\130\17\56\69\129\125\0",
	11265, "\93\57\129\122\0\93\57\129\121\0\129\35\57\129\122\0\129\35\57\129\121\0\129\5\57\129\121\0\130\18\57\129\121\0",
	11426, "\93\62\3\129\92\0\93\62\3\129\91\0\129\35\62\3\129\92\0\129\35\62\3\129\91\0\129\5\62\3\129\91\0\130\18\62\3\129\91\0",
	11587, "\93\62\20\129\108\0\93\62\20\129\107\0\129\35\62\20\129\108\0\129\35\62\20\129\107\0\129\5\62\20\129\107\0\130\18\62\20\129\107\0",
	11748, "\93\62\29\129\112\0\93\62\29\129\111\0\129\35\62\29\129\112\0\129\35\62\29\129\111\0\129\5\62\29\129\111\0\130\18\62\29\129\111\0",
	11909, "\93\62\37\129\116\0\93\62\37\129\115\0\129\35\62\37\129\116\0\129\35\62\37\129\115\0\129\5\62\37\129\115\0\130\18\62\37\129\115\0",
	12070, "\93\62\45\129\118\0\93\62\45\129\117\0\129\35\62\45\129\118\0\129\35\62\45\129\117\0\129\5\62\45\129\117\0\130\18\62\45\129\117\0",
	12231, "\93\62\51\129\120\0\93\62\51\129\119\0\129\35\62\51\129\120\0\129\35\62\51\129\119\0\129\5\62\51\129\119\0\130\18\62\51\129\119\0",
	12392, "\93\62\57\129\122\0\93\62\57\129\121\0\129\35\62\57\129\122\0\129\35\62\57\129\121\0\129\5\62\57\129\121\0\130\18\62\57\129\121\0",
	12553, "\93\62\63\129\124\0\93\62\63\129\123\0\129\35\62\63\129\124\0\129\35\62\63\129\123\0\129\5\62\63\129\123\0\130\18\62\63\129\123\0",
	12714, "\93\62\69\129\126\0\93\62\69\129\125\0\129\35\62\69\129\126\0\129\35\62\69\129\125\0\129\5\62\69\129\125\0\130\18\62\69\129\125\0",
	12875, "\94\63\129\124\0\94\63\129\123\0\129\36\63\129\124\0\129\36\63\129\123\0\129\6\63\129\123\0\130\19\63\129\123\0",
	13036, "\94\68\3\129\92\0\94\68\3\129\91\0\129\36\68\3\129\92\0\129\36\68\3\129\91\0\129\6\68\3\129\91\0\130\19\68\3\129\91\0",
	13197, "\94\68\20\129\108\0\94\68\20\129\107\0\129\36\68\20\129\108\0\129\36\68\20\129\107\0\129\6\68\20\129\107\0\130\19\68\20\129\107\0",
	13358, "\94\68\29\129\112\0\94\68\29\129\111\0\129\36\68\29\129\112\0\129\36\68\29\129\111\0\129\6\68\29\129\111\0\130\19\68\29\129\111\0",
	13518, "\94\68\37\129\116\0\94\68\37\129\115\0\129\36\68\37\129\116\0\129\36\68\37\129\115\0\129\6\68\37\129\115\0\130\19\68\37\129\115\0",
	13679, "\94\68\45\129\118\0\94\68\45\129\117\0\129\36\68\45\129\118\0\129\36\68\45\129\117\0\129\6\68\45\129\117\0\130\19\68\45\129\117\0",
	13840, "\94\68\51\129\120\0\94\68\51\129\119\0\129\36\68\51\129\120\0\129\36\68\51\129\119\0\129\6\68\51\129\119\0\130\19\68\51\129\119\0",
	14001, "\94\68\57\129\122\0\94\68\57\129\121\0\129\36\68\57\129\122\0\129\36\68\57\129\121\0\129\6\68\57\129\121\0\130\19\68\57\129\121\0",
	14162, "\94\68\63\129\124\0\94\68\63\129\123\0\129\36\68\63\129\124\0\129\36\68\63\129\123\0\129\6\68\63\129\123\0\130\19\68\63\129\123\0",
	14323, "\94\68\69\129\126\0\94\68\69\129\125\0\129\36\68\69\129\126\0\129\36\68\69\129\125\0\129\6\68\69\129\125\0\130\19\68\69\129\125\0",
	14484, "\95\69\129\126\0\95\69\129\125\0\129\37\69\129\126\0\129\37\69\129\125\0\129\7\69\129\125\0\130\20\69\129\125\0",
	14645, "\95\74\3\129\92\0\95\74\3\129\91\0\129\37\74\3\129\92\0\129\37\74\3\129\91\0\129\7\74\3\129\91\0\130\20\74\3\129\91\0",
	14806, "\95\74\20\129\108\0\95\74\20\129\107\0\129\37\74\20\129\108\0\129\37\74\20\129\107\0\129\7\74\20\129\107\0\130\20\74\20\129\107\0",
	14967, "\95\74\29\129\112\0\95\74\29\129\111\0\129\37\74\29\129\112\0\129\37\74\29\129\111\0\129\7\74\29\129\111\0\130\20\74\29\129\111\0",
	15128, "\95\74\37\129\116\0\95\74\37\129\115\0\129\37\74\37\129\116\0\129\37\74\37\129\115\0\129\7\74\37\129\115\0\130\20\74\37\129\115\0",
	15289, "\95\74\45\129\118\0\95\74\45\129\117\0\129\37\74\45\129\118\0\129\37\74\45\129\117\0\129\7\74\45\129\117\0\130\20\74\45\129\117\0",
	15450, "\95\74\51\129\120\0\95\74\51\129\119\0\129\37\74\51\129\120\0\129\37\74\51\129\119\0\129\7\74\51\129\119\0\130\20\74\51\129\119\0",
	15611, "\95\74\57\129\122\0\95\74\57\129\121\0\129\37\74\57\129\122\0\129\37\74\57\129\121\0\129\7\74\57\129\121\0\130\20\74\57\129\121\0",
	15772, "\95\74\63\129\124\0\95\74\63\129\123\0\129\37\74\63\129\124\0\129\37\74\63\129\123\0\129\7\74\63\129\123\0\130\20\74\63\129\123\0",
	15933, "\95\74\69\129\126\0\95\74\69\129\125\0\129\37\74\69\129\126\0\129\37\74\69\129\125\0\129\7\74\69\129\125\0\130\20\74\69\129\125\0",
	16093, "\79\5\129\94\0\79\5\129\93\0\129\21\5\129\94\0\129\21\5\129\93\0\119\5\129\93\0\130\4\5\129\93\0",
	17703, "\81\9\129\98\0\81\9\129\97\0\129\23\9\129\98\0\129\23\9\129\97\0\121\9\129\97\0\130\6\9\129\97\0",
	19312, "\86\10\129\100\0\86\10\129\99\0\129\28\10\129\100\0\129\28\10\129\99\0\126\10\129\99\0\130\11\10\129\99\0",
	20921, "\89\11\129\100\0\89\11\129\99\0\129\31\11\129\100\0\129\31\11\129\99\0\129\1\11\129\99\0\130\14\11\129\99\0",
	22531, "\82\12\129\98\0\82\12\129\97\0\129\24\12\129\98\0\129\24\12\129\97\0\122\12\129\97\0\130\7\12\129\97\0",
	24140, "\83\13\129\98\0\83\13\129\97\0\129\25\13\129\98\0\129\25\13\129\97\0\123\13\129\97\0\130\8\13\129\97\0",
	25750, "\84\14\129\100\0\84\14\129\99\0\129\26\14\129\100\0\129\26\14\129\99\0\124\14\129\99\0\130\9\14\129\99\0",
	27359, "\85\15\129\102\0\85\15\129\101\0\129\27\15\129\102\0\129\27\15\129\101\0\125\15\129\101\0\130\10\15\129\101\0",
	28968, "\85\16\129\104\0\85\16\129\103\0\129\27\16\129\104\0\129\27\16\129\103\0\125\16\129\103\0\130\10\16\129\103\0",
	30578, "\85\17\129\106\0\85\17\129\105\0\129\27\17\129\106\0\129\27\17\129\105\0\125\17\129\105\0\130\10\17\129\105\0",
	32187, "\87\22\129\110\0\87\22\129\109\0\129\29\22\129\110\0\129\29\22\129\109\0\127\22\129\109\0\130\12\22\129\109\0",
	33796, "\87\27\98\129\92\0\87\27\98\129\91\0\129\29\27\98\129\92\0\129\29\27\98\129\91\0\127\27\98\129\91\0\130\12\27\98\129\91\0",
	35406, "\87\27\101\129\108\0\87\27\101\129\107\0\129\29\27\101\129\108\0\129\29\27\101\129\107\0\127\27\101\129\107\0\130\12\27\101\129\107\0",
	37015, "\87\27\103\129\112\0\87\27\103\129\111\0\129\29\27\103\129\112\0\129\29\27\103\129\111\0\127\27\103\129\111\0\130\12\27\103\129\111\0",
	38624, "\87\27\105\129\116\0\87\27\105\129\115\0\129\29\27\105\129\116\0\129\29\27\105\129\115\0\127\27\105\129\115\0\130\12\27\105\129\115\0",
	40234, "\87\27\107\129\118\0\87\27\107\129\117\0\129\29\27\107\129\118\0\129\29\27\107\129\117\0\127\27\107\129\117\0\130\12\27\107\129\117\0",
	41843, "\87\27\109\129\120\0\87\27\109\129\119\0\129\29\27\109\129\120\0\129\29\27\109\129\119\0\127\27\109\129\119\0\130\12\27\109\129\119\0",
	43452, "\87\27\111\129\122\0\87\27\111\129\121\0\129\29\27\111\129\122\0\129\29\27\111\129\121\0\127\27\111\129\121\0\130\12\27\111\129\121\0",
	45062, "\87\27\113\129\124\0\87\27\113\129\123\0\129\29\27\113\129\124\0\129\29\27\113\129\123\0\127\27\113\129\123\0\130\12\27\113\129\123\0",
	46671, "\87\27\115\129\126\0\87\27\115\129\125\0\129\29\27\115\129\126\0\129\29\27\115\129\125\0\127\27\115\129\125\0\130\12\27\115\129\125\0",
	48280, "\89\30\129\114\0\89\30\129\113\0\129\31\30\129\114\0\129\31\30\129\113\0\129\1\30\129\113\0\130\14\30\129\113\0",
	49890, "\89\35\98\129\92\0\89\35\98\129\91\0\129\31\35\98\129\92\0\129\31\35\98\129\91\0\129\1\35\98\129\91\0\130\14\35\98\129\91\0",
	51499, "\89\35\101\129\108\0\89\35\101\129\107\0\129\31\35\101\129\108\0\129\31\35\101\129\107\0\129\1\35\101\129\107\0\130\14\35\101\129\107\0",
	53108, "\89\35\103\129\112\0\89\35\103\129\111\0\129\31\35\103\129\112\0\129\31\35\103\129\111\0\129\1\35\103\129\111\0\130\14\35\103\129\111\0",
	54718, "\89\35\105\129\116\0\89\35\105\129\115\0\129\31\35\105\129\116\0\129\31\35\105\129\115\0\129\1\35\105\129\115\0\130\14\35\105\129\115\0",
	56327, "\89\35\107\129\118\0\89\35\107\129\117\0\129\31\35\107\129\118\0\129\31\35\107\129\117\0\129\1\35\107\129\117\0\130\14\35\107\129\117\0",
	57936, "\89\35\109\129\120\0\89\35\109\129\119\0\129\31\35\109\129\120\0\129\31\35\109\129\119\0\129\1\35\109\129\119\0\130\14\35\109\129\119\0",
	59546, "\89\35\111\129\122\0\89\35\111\129\121\0\129\31\35\111\129\122\0\129\31\35\111\129\121\0\129\1\35\111\129\121\0\130\14\35\111\129\121\0",
	61155, "\89\35\113\129\124\0\89\35\113\129\123\0\129\31\35\113\129\124\0\129\31\35\113\129\123\0\129\1\35\113\129\123\0\130\14\35\113\129\123\0",
	62764, "\89\35\115\129\126\0\89\35\115\129\125\0\129\31\35\115\129\126\0\129\31\35\115\129\125\0\129\1\35\115\129\125\0\130\14\35\115\129\125\0",
	64374, "\90\38\129\114\0\90\38\129\113\0\129\32\38\129\114\0\129\32\38\129\113\0\129\2\38\129\113\0\130\15\38\129\113\0",
	65983, "\90\43\98\129\92\0\90\43\98\129\91\0\129\32\43\98\129\92\0\129\32\43\98\129\91\0\129\2\43\98\129\91\0\130\15\43\98\129\91\0",
	67592, "\90\43\101\129\108\0\90\43\101\129\107\0\129\32\43\101\129\108\0\129\32\43\101\129\107\0\129\2\43\101\129\107\0\130\15\43\101\129\107\0",
	69202, "\90\43\103\129\112\0\90\43\103\129\111\0\129\32\43\103\129\112\0\129\32\43\103\129\111\0\129\2\43\103\129\111\0\130\15\43\103\129\111\0",
	70811, "\90\43\105\129\116\0\90\43\105\129\115\0\129\32\43\105\129\116\0\129\32\43\105\129\115\0\129\2\43\105\129\115\0\130\15\43\105\129\115\0",
	72420, "\90\43\107\129\118\0\90\43\107\129\117\0\129\32\43\107\129\118\0\129\32\43\107\129\117\0\129\2\43\107\129\117\0\130\15\43\107\129\117\0",
	74030, "\90\43\109\129\120\0\90\43\109\129\119\0\129\32\43\109\129\120\0\129\32\43\109\129\119\0\129\2\43\109\129\119\0\130\15\43\109\129\119\0",
	75639, "\90\43\111\129\122\0\90\43\111\129\121\0\129\32\43\111\129\122\0\129\32\43\111\129\121\0\129\2\43\111\129\121\0\130\15\43\111\129\121\0",
	77249, "\90\43\113\129\124\0\90\43\113\129\123\0\129\32\43\113\129\124\0\129\32\43\113\129\123\0\129\2\43\113\129\123\0\130\15\43\113\129\123\0",
	78858, "\90\43\115\129\126\0\90\43\115\129\125\0\129\32\43\115\129\126\0\129\32\43\115\129\125\0\129\2\43\115\129\125\0\130\15\43\115\129\125\0",
	80467, "\91\46\129\114\0\91\46\129\113\0\129\33\46\129\114\0\129\33\46\129\113\0\129\3\46\129\113\0\130\16\46\129\113\0",
	82077, "\91\49\98\129\92\0\91\49\98\129\91\0\129\33\49\98\129\92\0\129\33\49\98\129\91\0\129\3\49\98\129\91\0\130\16\49\98\129\91\0",
	83686, "\91\49\101\129\108\0\91\49\101\129\107\0\129\33\49\101\129\108\0\129\33\49\101\129\107\0\129\3\49\101\129\107\0\130\16\49\101\129\107\0",
	85295, "\91\49\103\129\112\0\91\49\103\129\111\0\129\33\49\103\129\112\0\129\33\49\103\129\111\0\129\3\49\103\129\111\0\130\16\49\103\129\111\0",
	86905, "\91\49\105\129\116\0\91\49\105\129\115\0\129\33\49\105\129\116\0\129\33\49\105\129\115\0\129\3\49\105\129\115\0\130\16\49\105\129\115\0",
	88514, "\91\49\107\129\118\0\91\49\107\129\117\0\129\33\49\107\129\118\0\129\33\49\107\129\117\0\129\3\49\107\129\117\0\130\16\49\107\129\117\0",
	90123, "\91\49\109\129\120\0\91\49\109\129\119\0\129\33\49\109\129\120\0\129\33\49\109\129\119\0\129\3\49\109\129\119\0\130\16\49\109\129\119\0",
	91733, "\91\49\111\129\122\0\91\49\111\129\121\0\129\33\49\111\129\122\0\129\33\49\111\129\121\0\129\3\49\111\129\121\0\130\16\49\111\129\121\0",
	93342, "\91\49\113\129\124\0\91\49\113\129\123\0\129\33\49\113\129\124\0\129\33\49\113\129\123\0\129\3\49\113\129\123\0\130\16\49\113\129\123\0",
	94951, "\91\49\115\129\126\0\91\49\115\129\125\0\129\33\49\115\129\126\0\129\33\49\115\129\125\0\129\3\49\115\129\125\0\130\16\49\115\129\125\0",
	96561, "\84\52\129\114\0\84\52\129\113\0\129\26\52\129\114\0\129\26\52\129\113\0\124\52\129\113\0\130\9\52\129\113\0",
	98170, "\84\55\98\129\92\0\84\55\98\129\91\0\129\26\55\98\129\92\0\129\26\55\98\129\91\0\124\55\98\129\91\0\130\9\55\98\129\91\0",
	99779, "\84\55\101\129\108\0\84\55\101\129\107\0\129\26\55\101\129\108\0\129\26\55\101\129\107\0\124\55\101\129\107\0\130\9\55\101\129\107\0",
	101389, "\84\55\103\129\112\0\84\55\103\129\111\0\129\26\55\103\129\112\0\129\26\55\103\129\111\0\124\55\103\129\111\0\130\9\55\103\129\111\0",
	102998, "\84\55\105\129\116\0\84\55\105\129\115\0\129\26\55\105\129\116\0\129\26\55\105\129\115\0\124\55\105\129\115\0\130\9\55\105\129\115\0",
	104607, "\84\55\107\129\118\0\84\55\107\129\117\0\129\26\55\107\129\118\0\129\26\55\107\129\117\0\124\55\107\129\117\0\130\9\55\107\129\117\0",
	106217, "\84\55\109\129\120\0\84\55\109\129\119\0\129\26\55\109\129\120\0\129\26\55\109\129\119\0\124\55\109\129\119\0\130\9\55\109\129\119\0",
	107826, "\84\55\111\129\122\0\84\55\111\129\121\0\129\26\55\111\129\122\0\129\26\55\111\129\121\0\124\55\111\129\121\0\130\9\55\111\129\121\0",
	109435, "\84\55\113\129\124\0\84\55\113\129\123\0\129\26\55\113\129\124\0\129\26\55\113\129\123\0\124\55\113\129\123\0\130\9\55\113\129\123\0",
	111045, "\84\55\115\129\126\0\84\55\115\129\125\0\129\26\55\115\129\126\0\129\26\55\115\129\125\0\124\55\115\129\125\0\130\9\55\115\129\125\0",
	112654, "\93\58\129\114\0\93\58\129\113\0\129\35\58\129\114\0\129\35\58\129\113\0\129\5\58\129\113\0\130\18\58\129\113\0",
	114263, "\93\61\98\129\92\0\93\61\98\129\91\0\129\35\61\98\129\92\0\129\35\61\98\129\91\0\129\5\61\98\129\91\0\130\18\61\98\129\91\0",
	115873, "\93\61\101\129\108\0\93\61\101\129\107\0\129\35\61\101\129\108\0\129\35\61\101\129\107\0\129\5\61\101\129\107\0\130\18\61\101\129\107\0",
	117482, "\93\61\103\129\112\0\93\61\103\129\111\0\129\35\61\103\129\112\0\129\35\61\103\129\111\0\129\5\61\103\129\111\0\130\18\61\103\129\111\0",
	119091, "\93\61\105\129\116\0\93\61\105\129\115\0\129\35\61\105\129\116\0\129\35\61\105\129\115\0\129\5\61\105\129\115\0\130\18\61\105\129\115\0",
	120701, "\93\61\107\129\118\0\93\61\107\129\117\0\129\35\61\107\129\118\0\129\35\61\107\129\117\0\129\5\61\107\129\117\0\130\18\61\107\129\117\0",
	122310, "\93\61\109\129\120\0\93\61\109\129\119\0\129\35\61\109\129\120\0\129\35\61\109\129\119\0\129\5\61\109\129\119\0\130\18\61\109\129\119\0",
	123919, "\93\61\111\129\122\0\93\61\111\129\121\0\129\35\61\111\129\122\0\129\35\61\111\129\121\0\129\5\61\111\129\121\0\130\18\61\111\129\121\0",
	125529, "\93\61\113\129\124\0\93\61\113\129\123\0\129\35\61\113\129\124\0\129\35\61\113\129\123\0\129\5\61\113\129\123\0\130\18\61\113\129\123\0",
	127138, "\93\61\115\129\126\0\93\61\115\129\125\0\129\35\61\115\129\126\0\129\35\61\115\129\125\0\129\5\61\115\129\125\0\130\18\61\115\129\125\0",
	128748, "\94\64\129\114\0\94\64\129\113\0\129\36\64\129\114\0\129\36\64\129\113\0\129\6\64\129\113\0\130\19\64\129\113\0",
	130357, "\94\67\98\129\92\0\94\67\98\129\91\0\129\36\67\98\129\92\0\129\36\67\98\129\91\0\129\6\67\98\129\91\0\130\19\67\98\129\91\0",
	131966, "\94\67\101\129\108\0\94\67\101\129\107\0\129\36\67\101\129\108\0\129\36\67\101\129\107\0\129\6\67\101\129\107\0\130\19\67\101\129\107\0",
	133576, "\94\67\103\129\112\0\94\67\103\129\111\0\129\36\67\103\129\112\0\129\36\67\103\129\111\0\129\6\67\103\129\111\0\130\19\67\103\129\111\0",
	135185, "\94\67\105\129\116\0\94\67\105\129\115\0\129\36\67\105\129\116\0\129\36\67\105\129\115\0\129\6\67\105\129\115\0\130\19\67\105\129\115\0",
	136794, "\94\67\107\129\118\0\94\67\107\129\117\0\129\36\67\107\129\118\0\129\36\67\107\129\117\0\129\6\67\107\129\117\0\130\19\67\107\129\117\0",
	138404, "\94\67\109\129\120\0\94\67\109\129\119\0\129\36\67\109\129\120\0\129\36\67\109\129\119\0\129\6\67\109\129\119\0\130\19\67\109\129\119\0",
	140013, "\94\67\111\129\122\0\94\67\111\129\121\0\129\36\67\111\129\122\0\129\36\67\111\129\121\0\129\6\67\111\129\121\0\130\19\67\111\129\121\0",
	141622, "\94\67\113\129\124\0\94\67\113\129\123\0\129\36\67\113\129\124\0\129\36\67\113\129\123\0\129\6\67\113\129\123\0\130\19\67\113\129\123\0",
	143232, "\94\67\115\129\126\0\94\67\115\129\125\0\129\36\67\115\129\126\0\129\36\67\115\129\125\0\129\6\67\115\129\125\0\130\19\67\115\129\125\0",
	144841, "\95\70\129\114\0\95\70\129\113\0\129\37\70\129\114\0\129\37\70\129\113\0\129\7\70\129\113\0\130\20\70\129\113\0",
	146450, "\95\73\98\129\92\0\95\73\98\129\91\0\129\37\73\98\129\92\0\129\37\73\98\129\91\0\129\7\73\98\129\91\0\130\20\73\98\129\91\0",
	148060, "\95\73\101\129\108\0\95\73\101\129\107\0\129\37\73\101\129\108\0\129\37\73\101\129\107\0\129\7\73\101\129\107\0\130\20\73\101\129\107\0",
	149669, "\95\73\103\129\112\0\95\73\103\129\111\0\129\37\73\103\129\112\0\129\37\73\103\129\111\0\129\7\73\103\129\111\0\130\20\73\103\129\111\0",
	151278, "\95\73\105\129\116\0\95\73\105\129\115\0\129\37\73\105\129\116\0\129\37\73\105\129\115\0\129\7\73\105\129\115\0\130\20\73\105\129\115\0",
	152888, "\95\73\107\129\118\0\95\73\107\129\117\0\129\37\73\107\129\118\0\129\37\73\107\129\117\0\129\7\73\107\129\117\0\130\20\73\107\129\117\0",
	154497, "\95\73\109\129\120\0\95\73\109\129\119\0\129\37\73\109\129\120\0\129\37\73\109\129\119\0\129\7\73\109\129\119\0\130\20\73\109\129\119\0",
	156106, "\95\73\111\129\122\0\95\73\111\129\121\0\129\37\73\111\129\122\0\129\37\73\111\129\121\0\129\7\73\111\129\121\0\130\20\73\111\129\121\0",
	157716, "\95\73\113\129\124\0\95\73\113\129\123\0\129\37\73\113\129\124\0\129\37\73\113\129\123\0\129\7\73\113\129\123\0\130\20\73\113\129\123\0",
	159325, "\95\73\115\129\126\0\95\73\115\129\125\0\129\37\73\115\129\126\0\129\37\73\115\129\125\0\129\7\73\115\129\125\0\130\20\73\115\129\125\0",
	160934, "\80\6\129\96\0\80\6\129\95\0\129\22\6\129\96\0\129\22\6\129\95\0\120\6\129\95\0\130\5\6\129\95\0",
	177028, "\80\8\99\129\94\0\80\8\99\129\93\0\129\22\8\99\129\94\0\129\22\8\99\129\93\0\120\8\99\129\93\0\130\5\8\99\129\93\0",
	193121, "\80\8\102\129\110\0\80\8\102\129\109\0\129\22\8\102\129\110\0\129\22\8\102\129\109\0\120\8\102\129\109\0\130\5\8\102\129\109\0",
	209215, "\80\8\104\129\114\0\80\8\104\129\113\0\129\22\8\104\129\114\0\129\22\8\104\129\113\0\120\8\104\129\113\0\130\5\8\104\129\113\0",
	225308, "\80\8\106\129\114\0\80\8\106\129\113\0\129\22\8\106\129\114\0\129\22\8\106\129\113\0\120\8\106\129\113\0\130\5\8\106\129\113\0",
	241402, "\80\8\108\129\114\0\80\8\108\129\113\0\129\22\8\108\129\114\0\129\22\8\108\129\113\0\120\8\108\129\113\0\130\5\8\108\129\113\0",
	257495, "\80\8\110\129\114\0\80\8\110\129\113\0\129\22\8\110\129\114\0\129\22\8\110\129\113\0\120\8\110\129\113\0\130\5\8\110\129\113\0",
	273588, "\80\8\112\129\114\0\80\8\112\129\113\0\129\22\8\112\129\114\0\129\22\8\112\129\113\0\120\8\112\129\113\0\130\5\8\112\129\113\0",
	289682, "\80\8\114\129\114\0\80\8\114\129\113\0\129\22\8\114\129\114\0\129\22\8\114\129\113\0\120\8\114\129\113\0\130\5\8\114\129\113\0",
	305775, "\80\8\116\129\114\0\80\8\116\129\113\0\129\22\8\116\129\114\0\129\22\8\116\129\113\0\120\8\116\129\113\0\130\5\8\116\129\113\0",
	321869, "\86\24\130\0\0\86\24\129\127\0\129\28\24\130\0\0\129\28\24\129\127\0\126\24\129\127\0\130\11\24\129\127\0",
	337962, "\88\25\99\129\94\0\88\25\99\129\93\0\129\30\25\99\129\94\0\129\30\25\99\129\93\0\129\0\25\99\129\93\0\130\13\25\99\129\93\0",
	354056, "\88\25\102\129\110\0\88\25\102\129\109\0\129\30\25\102\129\110\0\129\30\25\102\129\109\0\129\0\25\102\129\109\0\130\13\25\102\129\109\0",
	370149, "\88\25\104\129\114\0\88\25\104\129\113\0\129\30\25\104\129\114\0\129\30\25\104\129\113\0\129\0\25\104\129\113\0\130\13\25\104\129\113\0",
	386243, "\88\25\106\129\114\0\88\25\106\129\113\0\129\30\25\106\129\114\0\129\30\25\106\129\113\0\129\0\25\106\129\113\0\130\13\25\106\129\113\0",
	402336, "\88\25\108\129\114\0\88\25\108\129\113\0\129\30\25\108\129\114\0\129\30\25\108\129\113\0\129\0\25\108\129\113\0\130\13\25\108\129\113\0",
	418429, "\88\25\110\129\114\0\88\25\110\129\113\0\129\30\25\110\129\114\0\129\30\25\110\129\113\0\129\0\25\110\129\113\0\130\13\25\110\129\113\0",
	434523, "\88\25\112\129\114\0\88\25\112\129\113\0\129\30\25\112\129\114\0\129\30\25\112\129\113\0\129\0\25\112\129\113\0\130\13\25\112\129\113\0",
	450616, "\88\25\114\129\114\0\88\25\114\129\113\0\129\30\25\114\129\114\0\129\30\25\114\129\113\0\129\0\25\114\129\113\0\130\13\25\114\129\113\0",
	466710, "\88\25\116\129\114\0\88\25\116\129\113\0\129\30\25\116\129\114\0\129\30\25\116\129\113\0\129\0\25\116\129\113\0\130\13\25\116\129\113\0",
	482803, "\89\32\130\0\0\89\32\129\127\0\129\31\32\130\0\0\129\31\32\129\127\0\129\1\32\129\127\0\130\14\32\129\127\0",
	498897, "\89\33\99\129\94\0\89\33\99\129\93\0\129\31\33\99\129\94\0\129\31\33\99\129\93\0\129\1\33\99\129\93\0\130\14\33\99\129\93\0",
	514990, "\89\33\102\129\110\0\89\33\102\129\109\0\129\31\33\102\129\110\0\129\31\33\102\129\109\0\129\1\33\102\129\109\0\130\14\33\102\129\109\0",
	531084, "\89\33\104\129\114\0\89\33\104\129\113\0\129\31\33\104\129\114\0\129\31\33\104\129\113\0\129\1\33\104\129\113\0\130\14\33\104\129\113\0",
	547177, "\89\33\106\129\114\0\89\33\106\129\113\0\129\31\33\106\129\114\0\129\31\33\106\129\113\0\129\1\33\106\129\113\0\130\14\33\106\129\113\0",
	563270, "\89\33\108\129\114\0\89\33\108\129\113\0\129\31\33\108\129\114\0\129\31\33\108\129\113\0\129\1\33\108\129\113\0\130\14\33\108\129\113\0",
	579364, "\89\33\110\129\114\0\89\33\110\129\113\0\129\31\33\110\129\114\0\129\31\33\110\129\113\0\129\1\33\110\129\113\0\130\14\33\110\129\113\0",
	595457, "\89\33\112\129\114\0\89\33\112\129\113\0\129\31\33\112\129\114\0\129\31\33\112\129\113\0\129\1\33\112\129\113\0\130\14\33\112\129\113\0",
	611551, "\89\33\114\129\114\0\89\33\114\129\113\0\129\31\33\114\129\114\0\129\31\33\114\129\113\0\129\1\33\114\129\113\0\130\14\33\114\129\113\0",
	627644, "\89\33\116\129\114\0\89\33\116\129\113\0\129\31\33\116\129\114\0\129\31\33\116\129\113\0\129\1\33\116\129\113\0\130\14\33\116\129\113\0",
	643738, "\90\40\130\0\0\90\40\129\127\0\129\32\40\130\0\0\129\32\40\129\127\0\129\2\40\129\127\0\130\15\40\129\127\0",
	659831, "\90\41\99\129\94\0\90\41\99\129\93\0\129\32\41\99\129\94\0\129\32\41\99\129\93\0\129\2\41\99\129\93\0\130\15\41\99\129\93\0",
	675924, "\90\41\102\129\110\0\90\41\102\129\109\0\129\32\41\102\129\110\0\129\32\41\102\129\109\0\129\2\41\102\129\109\0\130\15\41\102\129\109\0",
	692018, "\90\41\104\129\114\0\90\41\104\129\113\0\129\32\41\104\129\114\0\129\32\41\104\129\113\0\129\2\41\104\129\113\0\130\15\41\104\129\113\0",
	708111, "\90\41\106\129\114\0\90\41\106\129\113\0\129\32\41\106\129\114\0\129\32\41\106\129\113\0\129\2\41\106\129\113\0\130\15\41\106\129\113\0",
	724205, "\90\41\108\129\114\0\90\41\108\129\113\0\129\32\41\108\129\114\0\129\32\41\108\129\113\0\129\2\41\108\129\113\0\130\15\41\108\129\113\0",
	740298, "\90\41\110\129\114\0\90\41\110\129\113\0\129\32\41\110\129\114\0\129\32\41\110\129\113\0\129\2\41\110\129\113\0\130\15\41\110\129\113\0",
	756392, "\90\41\112\129\114\0\90\41\112\129\113\0\129\32\41\112\129\114\0\129\32\41\112\129\113\0\129\2\41\112\129\113\0\130\15\41\112\129\113\0",
	772485, "\90\41\114\129\114\0\90\41\114\129\113\0\129\32\41\114\129\114\0\129\32\41\114\129\113\0\129\2\41\114\129\113\0\130\15\41\114\129\113\0",
	788579, "\90\41\116\129\114\0\90\41\116\129\113\0\129\32\41\116\129\114\0\129\32\41\116\129\113\0\129\2\41\116\129\113\0\130\15\41\116\129\113\0",
	804672, "\91\47\130\0\0\91\47\129\127\0\129\33\47\130\0\0\129\33\47\129\127\0\129\3\47\129\127\0\130\16\47\129\127\0",
	820765, "\96\130\1\47\130\0\0\96\130\1\47\129\127\0\129\38\130\1\47\130\0\0\129\38\130\1\47\129\127\0\129\8\130\1\47\129\127\0\130\16\47\129\127\0",
}

distances.yards = {
	9, "\79\5\130\27\0\79\5\130\26\0\129\21\5\130\27\0\129\21\5\130\26\0\119\5\130\26\0\130\4\5\130\26\0",
	18, "\87\22\130\29\0\87\22\130\28\0\129\29\22\130\29\0\129\29\22\130\28\0\127\22\130\28\0\130\12\22\130\28\0",
	27, "\89\30\130\31\0\89\30\130\30\0\129\31\30\130\31\0\129\31\30\130\30\0\129\1\30\130\30\0\130\14\30\130\30\0",
	37, "\90\38\130\31\0\90\38\130\30\0\129\32\38\130\31\0\129\32\38\130\30\0\129\2\38\130\30\0\130\15\38\130\30\0",
	46, "\91\46\130\31\0\91\46\130\30\0\129\33\46\130\31\0\129\33\46\130\30\0\129\3\46\130\30\0\130\16\46\130\30\0",
	55, "\84\52\130\31\0\84\52\130\30\0\129\26\52\130\31\0\129\26\52\130\30\0\124\52\130\30\0\130\9\52\130\30\0",
	64, "\93\58\130\31\0\93\58\130\30\0\129\35\58\130\31\0\129\35\58\130\30\0\129\5\58\130\30\0\130\18\58\130\30\0",
	73, "\94\64\130\31\0\94\64\130\30\0\129\36\64\130\31\0\129\36\64\130\30\0\129\6\64\130\30\0\130\19\64\130\30\0",
	82, "\95\70\130\31\0\95\70\130\30\0\129\37\70\130\31\0\129\37\70\130\30\0\129\7\70\130\30\0\130\20\70\130\30\0",
	91, "\80\6\130\25\0\80\6\130\24\0\129\22\6\130\25\0\129\22\6\130\24\0\120\6\130\24\0\130\5\6\130\24\0",
	101, "\80\8\99\130\27\0\80\8\99\130\26\0\129\22\8\99\130\27\0\129\22\8\99\130\26\0\120\8\99\130\26\0\130\5\8\99\130\26\0",
	110, "\80\8\102\130\29\0\80\8\102\130\28\0\129\22\8\102\130\29\0\129\22\8\102\130\28\0\120\8\102\130\28\0\130\5\8\102\130\28\0",
	119, "\80\8\104\130\31\0\80\8\104\130\30\0\129\22\8\104\130\31\0\129\22\8\104\130\30\0\120\8\104\130\30\0\130\5\8\104\130\30\0",
	128, "\80\8\106\130\31\0\80\8\106\130\30\0\129\22\8\106\130\31\0\129\22\8\106\130\30\0\120\8\106\130\30\0\130\5\8\106\130\30\0",
	137, "\80\8\108\130\31\0\80\8\108\130\30\0\129\22\8\108\130\31\0\129\22\8\108\130\30\0\120\8\108\130\30\0\130\5\8\108\130\30\0",
	146, "\80\8\110\130\31\0\80\8\110\130\30\0\129\22\8\110\130\31\0\129\22\8\110\130\30\0\120\8\110\130\30\0\130\5\8\110\130\30\0",
	155, "\80\8\112\130\31\0\80\8\112\130\30\0\129\22\8\112\130\31\0\129\22\8\112\130\30\0\120\8\112\130\30\0\130\5\8\112\130\30\0",
	165, "\80\8\114\130\31\0\80\8\114\130\30\0\129\22\8\114\130\31\0\129\22\8\114\130\30\0\120\8\114\130\30\0\130\5\8\114\130\30\0",
	174, "\80\8\116\130\31\0\80\8\116\130\30\0\129\22\8\116\130\31\0\129\22\8\116\130\30\0\120\8\116\130\30\0\130\5\8\116\130\30\0",
	183, "\88\24\130\33\0\88\24\130\32\0\129\30\24\130\33\0\129\30\24\130\32\0\129\0\24\130\32\0\130\13\24\130\32\0",
	192, "\88\25\99\130\27\0\88\25\99\130\26\0\129\30\25\99\130\27\0\129\30\25\99\130\26\0\129\0\25\99\130\26\0\130\13\25\99\130\26\0",
	201, "\88\25\102\130\29\0\88\25\102\130\28\0\129\30\25\102\130\29\0\129\30\25\102\130\28\0\129\0\25\102\130\28\0\130\13\25\102\130\28\0",
	210, "\88\25\104\130\31\0\88\25\104\130\30\0\129\30\25\104\130\31\0\129\30\25\104\130\30\0\129\0\25\104\130\30\0\130\13\25\104\130\30\0",
	219, "\88\25\106\130\31\0\88\25\106\130\30\0\129\30\25\106\130\31\0\129\30\25\106\130\30\0\129\0\25\106\130\30\0\130\13\25\106\130\30\0",
	229, "\88\25\108\130\31\0\88\25\108\130\30\0\129\30\25\108\130\31\0\129\30\25\108\130\30\0\129\0\25\108\130\30\0\130\13\25\108\130\30\0",
	238, "\88\25\110\130\31\0\88\25\110\130\30\0\129\30\25\110\130\31\0\129\30\25\110\130\30\0\129\0\25\110\130\30\0\130\13\25\110\130\30\0",
	247, "\88\25\112\130\31\0\88\25\112\130\30\0\129\30\25\112\130\31\0\129\30\25\112\130\30\0\129\0\25\112\130\30\0\130\13\25\112\130\30\0",
	256, "\88\25\114\130\31\0\88\25\114\130\30\0\129\30\25\114\130\31\0\129\30\25\114\130\30\0\129\0\25\114\130\30\0\130\13\25\114\130\30\0",
	265, "\88\25\116\130\31\0\88\25\116\130\30\0\129\30\25\116\130\31\0\129\30\25\116\130\30\0\129\0\25\116\130\30\0\130\13\25\116\130\30\0",
	274, "\89\32\130\33\0\89\32\130\32\0\129\31\32\130\33\0\129\31\32\130\32\0\129\1\32\130\32\0\130\14\32\130\32\0",
	283, "\89\33\99\130\27\0\89\33\99\130\26\0\129\31\33\99\130\27\0\129\31\33\99\130\26\0\129\1\33\99\130\26\0\130\14\33\99\130\26\0",
	293, "\89\33\102\130\29\0\89\33\102\130\28\0\129\31\33\102\130\29\0\129\31\33\102\130\28\0\129\1\33\102\130\28\0\130\14\33\102\130\28\0",
	302, "\89\33\104\130\31\0\89\33\104\130\30\0\129\31\33\104\130\31\0\129\31\33\104\130\30\0\129\1\33\104\130\30\0\130\14\33\104\130\30\0",
	311, "\89\33\106\130\31\0\89\33\106\130\30\0\129\31\33\106\130\31\0\129\31\33\106\130\30\0\129\1\33\106\130\30\0\130\14\33\106\130\30\0",
	320, "\89\33\108\130\31\0\89\33\108\130\30\0\129\31\33\108\130\31\0\129\31\33\108\130\30\0\129\1\33\108\130\30\0\130\14\33\108\130\30\0",
	329, "\89\33\110\130\31\0\89\33\110\130\30\0\129\31\33\110\130\31\0\129\31\33\110\130\30\0\129\1\33\110\130\30\0\130\14\33\110\130\30\0",
	338, "\89\33\112\130\31\0\89\33\112\130\30\0\129\31\33\112\130\31\0\129\31\33\112\130\30\0\129\1\33\112\130\30\0\130\14\33\112\130\30\0",
	347, "\89\33\114\130\31\0\89\33\114\130\30\0\129\31\33\114\130\31\0\129\31\33\114\130\30\0\129\1\33\114\130\30\0\130\14\33\114\130\30\0",
	357, "\89\33\116\130\31\0\89\33\116\130\30\0\129\31\33\116\130\31\0\129\31\33\116\130\30\0\129\1\33\116\130\30\0\130\14\33\116\130\30\0",
	366, "\90\40\130\33\0\90\40\130\32\0\129\32\40\130\33\0\129\32\40\130\32\0\129\2\40\130\32\0\130\15\40\130\32\0",
	402, "\78\76\0\78\75\0\129\20\76\0\129\20\75\0\118\75\0\130\3\75\0",
	644, "\77\1\37\129\116\0\77\1\37\129\115\0\129\19\1\37\129\116\0\129\19\1\37\129\115\0\117\1\37\129\115\0\130\2\1\37\129\115\0",
	805, "\96\129\18\0\96\129\17\0\129\38\129\18\0\129\38\129\17\0\129\8\129\17\0\130\21\129\17\0",
	966, "\77\1\51\129\120\0\77\1\51\129\119\0\129\19\1\51\129\120\0\129\19\1\51\129\119\0\117\1\51\129\119\0\130\2\1\51\129\119\0",
	1127, "\89\130\23\0\89\130\22\0\129\31\130\23\0\129\31\130\22\0\129\1\130\22\0\130\14\130\22\0",
	1448, "\77\1\69\129\126\0\77\1\69\129\125\0\129\19\1\69\129\126\0\129\19\1\69\129\125\0\117\1\69\129\125\0\130\2\1\69\129\125\0",
	1609, "\78\3\129\90\0\78\3\129\89\0\129\20\3\129\90\0\129\20\3\129\89\0\118\3\129\89\0\130\3\3\129\89\0",
	1770, "\78\4\3\129\92\0\78\4\3\129\91\0\129\20\4\3\129\92\0\129\20\4\3\129\91\0\118\4\3\129\91\0\130\3\4\3\129\91\0",
	1931, "\78\4\20\129\108\0\78\4\20\129\107\0\129\20\4\20\129\108\0\129\20\4\20\129\107\0\118\4\20\129\107\0\130\3\4\20\129\107\0",
	2092, "\78\4\29\129\112\0\78\4\29\129\111\0\129\20\4\29\129\112\0\129\20\4\29\129\111\0\118\4\29\129\111\0\130\3\4\29\129\111\0",
	2253, "\78\4\37\129\116\0\78\4\37\129\115\0\129\20\4\37\129\116\0\129\20\4\37\129\115\0\118\4\37\129\115\0\130\3\4\37\129\115\0",
	2414, "\78\4\45\129\118\0\78\4\45\129\117\0\129\20\4\45\129\118\0\129\20\4\45\129\117\0\118\4\45\129\117\0\130\3\4\45\129\117\0",
	2575, "\78\4\51\129\120\0\78\4\51\129\119\0\129\20\4\51\129\120\0\129\20\4\51\129\119\0\118\4\51\129\119\0\130\3\4\51\129\119\0",
	2736, "\78\4\57\129\122\0\78\4\57\129\121\0\129\20\4\57\129\122\0\129\20\4\57\129\121\0\118\4\57\129\121\0\130\3\4\57\129\121\0",
	2897, "\78\4\63\129\124\0\78\4\63\129\123\0\129\20\4\63\129\124\0\129\20\4\63\129\123\0\118\4\63\129\123\0\130\3\4\63\129\123\0",
	3058, "\78\4\69\129\126\0\78\4\69\129\125\0\129\20\4\69\129\126\0\129\20\4\69\129\125\0\118\4\69\129\125\0\130\3\4\69\129\125\0",
	3219, "\86\20\129\108\0\86\20\129\107\0\129\28\20\129\108\0\129\28\20\129\107\0\126\20\129\107\0\130\11\20\129\107\0",
	3380, "\86\21\3\129\92\0\86\21\3\129\91\0\129\28\21\3\129\92\0\129\28\21\3\129\91\0\126\21\3\129\91\0\130\11\21\3\129\91\0",
	3541, "\86\21\20\129\108\0\86\21\20\129\107\0\129\28\21\20\129\108\0\129\28\21\20\129\107\0\126\21\20\129\107\0\130\11\21\20\129\107\0",
	3701, "\86\21\29\129\112\0\86\21\29\129\111\0\129\28\21\29\129\112\0\129\28\21\29\129\111\0\126\21\29\129\111\0\130\11\21\29\129\111\0",
	3862, "\86\21\37\129\116\0\86\21\37\129\115\0\129\28\21\37\129\116\0\129\28\21\37\129\115\0\126\21\37\129\115\0\130\11\21\37\129\115\0",
	4023, "\86\21\45\129\118\0\86\21\45\129\117\0\129\28\21\45\129\118\0\129\28\21\45\129\117\0\126\21\45\129\117\0\130\11\21\45\129\117\0",
	4184, "\86\21\51\129\120\0\86\21\51\129\119\0\129\28\21\51\129\120\0\129\28\21\51\129\119\0\126\21\51\129\119\0\130\11\21\51\129\119\0",
	4345, "\86\21\57\129\122\0\86\21\57\129\121\0\129\28\21\57\129\122\0\129\28\21\57\129\121\0\126\21\57\129\121\0\130\11\21\57\129\121\0",
	4506, "\86\21\63\129\124\0\86\21\63\129\123\0\129\28\21\63\129\124\0\129\28\21\63\129\123\0\126\21\63\129\123\0\130\11\21\63\129\123\0",
	4667, "\86\21\69\129\126\0\86\21\69\129\125\0\129\28\21\69\129\126\0\129\28\21\69\129\125\0\126\21\69\129\125\0\130\11\21\69\129\125\0",
	4828, "\89\29\129\112\0\89\29\129\111\0\129\31\29\129\112\0\129\31\29\129\111\0\129\1\29\129\111\0\130\14\29\129\111\0",
	4989, "\89\36\3\129\92\0\89\36\3\129\91\0\129\31\36\3\129\92\0\129\31\36\3\129\91\0\129\1\36\3\129\91\0\130\14\36\3\129\91\0",
	5150, "\89\36\20\129\108\0\89\36\20\129\107\0\129\31\36\20\129\108\0\129\31\36\20\129\107\0\129\1\36\20\129\107\0\130\14\36\20\129\107\0",
	5311, "\89\36\29\129\112\0\89\36\29\129\111\0\129\31\36\29\129\112\0\129\31\36\29\129\111\0\129\1\36\29\129\111\0\130\14\36\29\129\111\0",
	5472, "\89\36\37\129\116\0\89\36\37\129\115\0\129\31\36\37\129\116\0\129\31\36\37\129\115\0\129\1\36\37\129\115\0\130\14\36\37\129\115\0",
	5633, "\89\36\45\129\118\0\89\36\45\129\117\0\129\31\36\45\129\118\0\129\31\36\45\129\117\0\129\1\36\45\129\117\0\130\14\36\45\129\117\0",
	5794, "\89\36\51\129\120\0\89\36\51\129\119\0\129\31\36\51\129\120\0\129\31\36\51\129\119\0\129\1\36\51\129\119\0\130\14\36\51\129\119\0",
	5955, "\89\36\57\129\122\0\89\36\57\129\121\0\129\31\36\57\129\122\0\129\31\36\57\129\121\0\129\1\36\57\129\121\0\130\14\36\57\129\121\0",
	6116, "\89\36\63\129\124\0\89\36\63\129\123\0\129\31\36\63\129\124\0\129\31\36\63\129\123\0\129\1\36\63\129\123\0\130\14\36\63\129\123\0",
	6276, "\89\36\69\129\126\0\89\36\69\129\125\0\129\31\36\69\129\126\0\129\31\36\69\129\125\0\129\1\36\69\129\125\0\130\14\36\69\129\125\0",
	6437, "\90\37\129\116\0\90\37\129\115\0\129\32\37\129\116\0\129\32\37\129\115\0\129\2\37\129\115\0\130\15\37\129\115\0",
	6598, "\90\44\3\129\92\0\90\44\3\129\91\0\129\32\44\3\129\92\0\129\32\44\3\129\91\0\129\2\44\3\129\91\0\130\15\44\3\129\91\0",
	6759, "\90\44\20\129\108\0\90\44\20\129\107\0\129\32\44\20\129\108\0\129\32\44\20\129\107\0\129\2\44\20\129\107\0\130\15\44\20\129\107\0",
	6920, "\90\44\29\129\112\0\90\44\29\129\111\0\129\32\44\29\129\112\0\129\32\44\29\129\111\0\129\2\44\29\129\111\0\130\15\44\29\129\111\0",
	7081, "\90\44\37\129\116\0\90\44\37\129\115\0\129\32\44\37\129\116\0\129\32\44\37\129\115\0\129\2\44\37\129\115\0\130\15\44\37\129\115\0",
	7242, "\90\44\45\129\118\0\90\44\45\129\117\0\129\32\44\45\129\118\0\129\32\44\45\129\117\0\129\2\44\45\129\117\0\130\15\44\45\129\117\0",
	7403, "\90\44\51\129\120\0\90\44\51\129\119\0\129\32\44\51\129\120\0\129\32\44\51\129\119\0\129\2\44\51\129\119\0\130\15\44\51\129\119\0",
	7564, "\90\44\57\129\122\0\90\44\57\129\121\0\129\32\44\57\129\122\0\129\32\44\57\129\121\0\129\2\44\57\129\121\0\130\15\44\57\129\121\0",
	7725, "\90\44\63\129\124\0\90\44\63\129\123\0\129\32\44\63\129\124\0\129\32\44\63\129\123\0\129\2\44\63\129\123\0\130\15\44\63\129\123\0",
	7886, "\90\44\69\129\126\0\90\44\69\129\125\0\129\32\44\69\129\126\0\129\32\44\69\129\125\0\129\2\44\69\129\125\0\130\15\44\69\129\125\0",
	8047, "\91\45\129\118\0\91\45\129\117\0\129\33\45\129\118\0\129\33\45\129\117\0\129\3\45\129\117\0\130\16\45\129\117\0",
	8208, "\91\50\3\129\92\0\91\50\3\129\91\0\129\33\50\3\129\92\0\129\33\50\3\129\91\0\129\3\50\3\129\91\0\130\16\50\3\129\91\0",
	8369, "\91\50\20\129\108\0\91\50\20\129\107\0\129\33\50\20\129\108\0\129\33\50\20\129\107\0\129\3\50\20\129\107\0\130\16\50\20\129\107\0",
	8530, "\91\50\29\129\112\0\91\50\29\129\111\0\129\33\50\29\129\112\0\129\33\50\29\129\111\0\129\3\50\29\129\111\0\130\16\50\29\129\111\0",
	8690, "\91\50\37\129\116\0\91\50\37\129\115\0\129\33\50\37\129\116\0\129\33\50\37\129\115\0\129\3\50\37\129\115\0\130\16\50\37\129\115\0",
	8851, "\91\50\45\129\118\0\91\50\45\129\117\0\129\33\50\45\129\118\0\129\33\50\45\129\117\0\129\3\50\45\129\117\0\130\16\50\45\129\117\0",
	9012, "\91\50\51\129\120\0\91\50\51\129\119\0\129\33\50\51\129\120\0\129\33\50\51\129\119\0\129\3\50\51\129\119\0\130\16\50\51\129\119\0",
	9173, "\91\50\57\129\122\0\91\50\57\129\121\0\129\33\50\57\129\122\0\129\33\50\57\129\121\0\129\3\50\57\129\121\0\130\16\50\57\129\121\0",
	9334, "\91\50\63\129\124\0\91\50\63\129\123\0\129\33\50\63\129\124\0\129\33\50\63\129\123\0\129\3\50\63\129\123\0\130\16\50\63\129\123\0",
	9495, "\91\50\69\129\126\0\91\50\69\129\125\0\129\33\50\69\129\126\0\129\33\50\69\129\125\0\129\3\50\69\129\125\0\130\16\50\69\129\125\0",
	9656, "\92\51\129\120\0\92\51\129\119\0\129\34\51\129\120\0\129\34\51\129\119\0\129\4\51\129\119\0\130\17\51\129\119\0",
	9817, "\92\56\3\129\92\0\92\56\3\129\91\0\129\34\56\3\129\92\0\129\34\56\3\129\91\0\129\4\56\3\129\91\0\130\17\56\3\129\91\0",
	9978, "\92\56\20\129\108\0\92\56\20\129\107\0\129\34\56\20\129\108\0\129\34\56\20\129\107\0\129\4\56\20\129\107\0\130\17\56\20\129\107\0",
	10139, "\92\56\29\129\112\0\92\56\29\129\111\0\129\34\56\29\129\112\0\129\34\56\29\129\111\0\129\4\56\29\129\111\0\130\17\56\29\129\111\0",
	10300, "\92\56\37\129\116\0\92\56\37\129\115\0\129\34\56\37\129\116\0\129\34\56\37\129\115\0\129\4\56\37\129\115\0\130\17\56\37\129\115\0",
	10461, "\92\56\45\129\118\0\92\56\45\129\117\0\129\34\56\45\129\118\0\129\34\56\45\129\117\0\129\4\56\45\129\117\0\130\17\56\45\129\117\0",
	10622, "\92\56\51\129\120\0\92\56\51\129\119\0\129\34\56\51\129\120\0\129\34\56\51\129\119\0\129\4\56\51\129\119\0\130\17\56\51\129\119\0",
	10783, "\92\56\57\129\122\0\92\56\57\129\121\0\129\34\56\57\129\122\0\129\34\56\57\129\121\0\129\4\56\57\129\121\0\130\17\56\57\129\121\0",
	10944, "\92\56\63\129\124\0\92\56\63\129\123\0\129\34\56\63\129\124\0\129\34\56\63\129\123\0\129\4\56\63\129\123\0\130\17\56\63\129\123\0",
	11104, "\92\56\69\129\126\0\92\56\69\129\125\0\129\34\56\69\129\126\0\129\34\56\69\129\125\0\129\4\56\69\129\125\0\130\17\56\69\129\125\0",
	11265, "\93\57\129\122\0\93\57\129\121\0\129\35\57\129\122\0\129\35\57\129\121\0\129\5\57\129\121\0\130\18\57\129\121\0",
	11426, "\93\62\3\129\92\0\93\62\3\129\91\0\129\35\62\3\129\92\0\129\35\62\3\129\91\0\129\5\62\3\129\91\0\130\18\62\3\129\91\0",
	11587, "\93\62\20\129\108\0\93\62\20\129\107\0\129\35\62\20\129\108\0\129\35\62\20\129\107\0\129\5\62\20\129\107\0\130\18\62\20\129\107\0",
	11748, "\93\62\29\129\112\0\93\62\29\129\111\0\129\35\62\29\129\112\0\129\35\62\29\129\111\0\129\5\62\29\129\111\0\130\18\62\29\129\111\0",
	11909, "\93\62\37\129\116\0\93\62\37\129\115\0\129\35\62\37\129\116\0\129\35\62\37\129\115\0\129\5\62\37\129\115\0\130\18\62\37\129\115\0",
	12070, "\93\62\45\129\118\0\93\62\45\129\117\0\129\35\62\45\129\118\0\129\35\62\45\129\117\0\129\5\62\45\129\117\0\130\18\62\45\129\117\0",
	12231, "\93\62\51\129\120\0\93\62\51\129\119\0\129\35\62\51\129\120\0\129\35\62\51\129\119\0\129\5\62\51\129\119\0\130\18\62\51\129\119\0",
	12392, "\93\62\57\129\122\0\93\62\57\129\121\0\129\35\62\57\129\122\0\129\35\62\57\129\121\0\129\5\62\57\129\121\0\130\18\62\57\129\121\0",
	12553, "\93\62\63\129\124\0\93\62\63\129\123\0\129\35\62\63\129\124\0\129\35\62\63\129\123\0\129\5\62\63\129\123\0\130\18\62\63\129\123\0",
	12714, "\93\62\69\129\126\0\93\62\69\129\125\0\129\35\62\69\129\126\0\129\35\62\69\129\125\0\129\5\62\69\129\125\0\130\18\62\69\129\125\0",
	12875, "\94\63\129\124\0\94\63\129\123\0\129\36\63\129\124\0\129\36\63\129\123\0\129\6\63\129\123\0\130\19\63\129\123\0",
	13036, "\94\68\3\129\92\0\94\68\3\129\91\0\129\36\68\3\129\92\0\129\36\68\3\129\91\0\129\6\68\3\129\91\0\130\19\68\3\129\91\0",
	13197, "\94\68\20\129\108\0\94\68\20\129\107\0\129\36\68\20\129\108\0\129\36\68\20\129\107\0\129\6\68\20\129\107\0\130\19\68\20\129\107\0",
	13358, "\94\68\29\129\112\0\94\68\29\129\111\0\129\36\68\29\129\112\0\129\36\68\29\129\111\0\129\6\68\29\129\111\0\130\19\68\29\129\111\0",
	13518, "\94\68\37\129\116\0\94\68\37\129\115\0\129\36\68\37\129\116\0\129\36\68\37\129\115\0\129\6\68\37\129\115\0\130\19\68\37\129\115\0",
	13679, "\94\68\45\129\118\0\94\68\45\129\117\0\129\36\68\45\129\118\0\129\36\68\45\129\117\0\129\6\68\45\129\117\0\130\19\68\45\129\117\0",
	13840, "\94\68\51\129\120\0\94\68\51\129\119\0\129\36\68\51\129\120\0\129\36\68\51\129\119\0\129\6\68\51\129\119\0\130\19\68\51\129\119\0",
	14001, "\94\68\57\129\122\0\94\68\57\129\121\0\129\36\68\57\129\122\0\129\36\68\57\129\121\0\129\6\68\57\129\121\0\130\19\68\57\129\121\0",
	14162, "\94\68\63\129\124\0\94\68\63\129\123\0\129\36\68\63\129\124\0\129\36\68\63\129\123\0\129\6\68\63\129\123\0\130\19\68\63\129\123\0",
	14323, "\94\68\69\129\126\0\94\68\69\129\125\0\129\36\68\69\129\126\0\129\36\68\69\129\125\0\129\6\68\69\129\125\0\130\19\68\69\129\125\0",
	14484, "\95\69\129\126\0\95\69\129\125\0\129\37\69\129\126\0\129\37\69\129\125\0\129\7\69\129\125\0\130\20\69\129\125\0",
	14645, "\95\74\3\129\92\0\95\74\3\129\91\0\129\37\74\3\129\92\0\129\37\74\3\129\91\0\129\7\74\3\129\91\0\130\20\74\3\129\91\0",
	14806, "\95\74\20\129\108\0\95\74\20\129\107\0\129\37\74\20\129\108\0\129\37\74\20\129\107\0\129\7\74\20\129\107\0\130\20\74\20\129\107\0",
	14967, "\95\74\29\129\112\0\95\74\29\129\111\0\129\37\74\29\129\112\0\129\37\74\29\129\111\0\129\7\74\29\129\111\0\130\20\74\29\129\111\0",
	15128, "\95\74\37\129\116\0\95\74\37\129\115\0\129\37\74\37\129\116\0\129\37\74\37\129\115\0\129\7\74\37\129\115\0\130\20\74\37\129\115\0",
	15289, "\95\74\45\129\118\0\95\74\45\129\117\0\129\37\74\45\129\118\0\129\37\74\45\129\117\0\129\7\74\45\129\117\0\130\20\74\45\129\117\0",
	15450, "\95\74\51\129\120\0\95\74\51\129\119\0\129\37\74\51\129\120\0\129\37\74\51\129\119\0\129\7\74\51\129\119\0\130\20\74\51\129\119\0",
	15611, "\95\74\57\129\122\0\95\74\57\129\121\0\129\37\74\57\129\122\0\129\37\74\57\129\121\0\129\7\74\57\129\121\0\130\20\74\57\129\121\0",
	15772, "\95\74\63\129\124\0\95\74\63\129\123\0\129\37\74\63\129\124\0\129\37\74\63\129\123\0\129\7\74\63\129\123\0\130\20\74\63\129\123\0",
	15933, "\95\74\69\129\126\0\95\74\69\129\125\0\129\37\74\69\129\126\0\129\37\74\69\129\125\0\129\7\74\69\129\125\0\130\20\74\69\129\125\0",
	16093, "\79\5\129\94\0\79\5\129\93\0\129\21\5\129\94\0\129\21\5\129\93\0\119\5\129\93\0\130\4\5\129\93\0",
	17703, "\81\9\129\98\0\81\9\129\97\0\129\23\9\129\98\0\129\23\9\129\97\0\121\9\129\97\0\130\6\9\129\97\0",
	19312, "\86\10\129\100\0\86\10\129\99\0\129\28\10\129\100\0\129\28\10\129\99\0\126\10\129\99\0\130\11\10\129\99\0",
	20921, "\89\11\129\100\0\89\11\129\99\0\129\31\11\129\100\0\129\31\11\129\99\0\129\1\11\129\99\0\130\14\11\129\99\0",
	22531, "\82\12\129\98\0\82\12\129\97\0\129\24\12\129\98\0\129\24\12\129\97\0\122\12\129\97\0\130\7\12\129\97\0",
	24140, "\83\13\129\98\0\83\13\129\97\0\129\25\13\129\98\0\129\25\13\129\97\0\123\13\129\97\0\130\8\13\129\97\0",
	25750, "\84\14\129\100\0\84\14\129\99\0\129\26\14\129\100\0\129\26\14\129\99\0\124\14\129\99\0\130\9\14\129\99\0",
	27359, "\85\15\129\102\0\85\15\129\101\0\129\27\15\129\102\0\129\27\15\129\101\0\125\15\129\101\0\130\10\15\129\101\0",
	28968, "\85\16\129\104\0\85\16\129\103\0\129\27\16\129\104\0\129\27\16\129\103\0\125\16\129\103\0\130\10\16\129\103\0",
	30578, "\85\17\129\106\0\85\17\129\105\0\129\27\17\129\106\0\129\27\17\129\105\0\125\17\129\105\0\130\10\17\129\105\0",
	32187, "\87\22\129\110\0\87\22\129\109\0\129\29\22\129\110\0\129\29\22\129\109\0\127\22\129\109\0\130\12\22\129\109\0",
	33796, "\87\27\98\129\92\0\87\27\98\129\91\0\129\29\27\98\129\92\0\129\29\27\98\129\91\0\127\27\98\129\91\0\130\12\27\98\129\91\0",
	35406, "\87\27\101\129\108\0\87\27\101\129\107\0\129\29\27\101\129\108\0\129\29\27\101\129\107\0\127\27\101\129\107\0\130\12\27\101\129\107\0",
	37015, "\87\27\103\129\112\0\87\27\103\129\111\0\129\29\27\103\129\112\0\129\29\27\103\129\111\0\127\27\103\129\111\0\130\12\27\103\129\111\0",
	38624, "\87\27\105\129\116\0\87\27\105\129\115\0\129\29\27\105\129\116\0\129\29\27\105\129\115\0\127\27\105\129\115\0\130\12\27\105\129\115\0",
	40234, "\87\27\107\129\118\0\87\27\107\129\117\0\129\29\27\107\129\118\0\129\29\27\107\129\117\0\127\27\107\129\117\0\130\12\27\107\129\117\0",
	41843, "\87\27\109\129\120\0\87\27\109\129\119\0\129\29\27\109\129\120\0\129\29\27\109\129\119\0\127\27\109\129\119\0\130\12\27\109\129\119\0",
	43452, "\87\27\111\129\122\0\87\27\111\129\121\0\129\29\27\111\129\122\0\129\29\27\111\129\121\0\127\27\111\129\121\0\130\12\27\111\129\121\0",
	45062, "\87\27\113\129\124\0\87\27\113\129\123\0\129\29\27\113\129\124\0\129\29\27\113\129\123\0\127\27\113\129\123\0\130\12\27\113\129\123\0",
	46671, "\87\27\115\129\126\0\87\27\115\129\125\0\129\29\27\115\129\126\0\129\29\27\115\129\125\0\127\27\115\129\125\0\130\12\27\115\129\125\0",
	48280, "\89\30\129\114\0\89\30\129\113\0\129\31\30\129\114\0\129\31\30\129\113\0\129\1\30\129\113\0\130\14\30\129\113\0",
	49890, "\89\35\98\129\92\0\89\35\98\129\91\0\129\31\35\98\129\92\0\129\31\35\98\129\91\0\129\1\35\98\129\91\0\130\14\35\98\129\91\0",
	51499, "\89\35\101\129\108\0\89\35\101\129\107\0\129\31\35\101\129\108\0\129\31\35\101\129\107\0\129\1\35\101\129\107\0\130\14\35\101\129\107\0",
	53108, "\89\35\103\129\112\0\89\35\103\129\111\0\129\31\35\103\129\112\0\129\31\35\103\129\111\0\129\1\35\103\129\111\0\130\14\35\103\129\111\0",
	54718, "\89\35\105\129\116\0\89\35\105\129\115\0\129\31\35\105\129\116\0\129\31\35\105\129\115\0\129\1\35\105\129\115\0\130\14\35\105\129\115\0",
	56327, "\89\35\107\129\118\0\89\35\107\129\117\0\129\31\35\107\129\118\0\129\31\35\107\129\117\0\129\1\35\107\129\117\0\130\14\35\107\129\117\0",
	57936, "\89\35\109\129\120\0\89\35\109\129\119\0\129\31\35\109\129\120\0\129\31\35\109\129\119\0\129\1\35\109\129\119\0\130\14\35\109\129\119\0",
	59546, "\89\35\111\129\122\0\89\35\111\129\121\0\129\31\35\111\129\122\0\129\31\35\111\129\121\0\129\1\35\111\129\121\0\130\14\35\111\129\121\0",
	61155, "\89\35\113\129\124\0\89\35\113\129\123\0\129\31\35\113\129\124\0\129\31\35\113\129\123\0\129\1\35\113\129\123\0\130\14\35\113\129\123\0",
	62764, "\89\35\115\129\126\0\89\35\115\129\125\0\129\31\35\115\129\126\0\129\31\35\115\129\125\0\129\1\35\115\129\125\0\130\14\35\115\129\125\0",
	64374, "\90\38\129\114\0\90\38\129\113\0\129\32\38\129\114\0\129\32\38\129\113\0\129\2\38\129\113\0\130\15\38\129\113\0",
	65983, "\90\43\98\129\92\0\90\43\98\129\91\0\129\32\43\98\129\92\0\129\32\43\98\129\91\0\129\2\43\98\129\91\0\130\15\43\98\129\91\0",
	67592, "\90\43\101\129\108\0\90\43\101\129\107\0\129\32\43\101\129\108\0\129\32\43\101\129\107\0\129\2\43\101\129\107\0\130\15\43\101\129\107\0",
	69202, "\90\43\103\129\112\0\90\43\103\129\111\0\129\32\43\103\129\112\0\129\32\43\103\129\111\0\129\2\43\103\129\111\0\130\15\43\103\129\111\0",
	70811, "\90\43\105\129\116\0\90\43\105\129\115\0\129\32\43\105\129\116\0\129\32\43\105\129\115\0\129\2\43\105\129\115\0\130\15\43\105\129\115\0",
	72420, "\90\43\107\129\118\0\90\43\107\129\117\0\129\32\43\107\129\118\0\129\32\43\107\129\117\0\129\2\43\107\129\117\0\130\15\43\107\129\117\0",
	74030, "\90\43\109\129\120\0\90\43\109\129\119\0\129\32\43\109\129\120\0\129\32\43\109\129\119\0\129\2\43\109\129\119\0\130\15\43\109\129\119\0",
	75639, "\90\43\111\129\122\0\90\43\111\129\121\0\129\32\43\111\129\122\0\129\32\43\111\129\121\0\129\2\43\111\129\121\0\130\15\43\111\129\121\0",
	77249, "\90\43\113\129\124\0\90\43\113\129\123\0\129\32\43\113\129\124\0\129\32\43\113\129\123\0\129\2\43\113\129\123\0\130\15\43\113\129\123\0",
	78858, "\90\43\115\129\126\0\90\43\115\129\125\0\129\32\43\115\129\126\0\129\32\43\115\129\125\0\129\2\43\115\129\125\0\130\15\43\115\129\125\0",
	80467, "\91\46\129\114\0\91\46\129\113\0\129\33\46\129\114\0\129\33\46\129\113\0\129\3\46\129\113\0\130\16\46\129\113\0",
	82077, "\91\49\98\129\92\0\91\49\98\129\91\0\129\33\49\98\129\92\0\129\33\49\98\129\91\0\129\3\49\98\129\91\0\130\16\49\98\129\91\0",
	83686, "\91\49\101\129\108\0\91\49\101\129\107\0\129\33\49\101\129\108\0\129\33\49\101\129\107\0\129\3\49\101\129\107\0\130\16\49\101\129\107\0",
	85295, "\91\49\103\129\112\0\91\49\103\129\111\0\129\33\49\103\129\112\0\129\33\49\103\129\111\0\129\3\49\103\129\111\0\130\16\49\103\129\111\0",
	86905, "\91\49\105\129\116\0\91\49\105\129\115\0\129\33\49\105\129\116\0\129\33\49\105\129\115\0\129\3\49\105\129\115\0\130\16\49\105\129\115\0",
	88514, "\91\49\107\129\118\0\91\49\107\129\117\0\129\33\49\107\129\118\0\129\33\49\107\129\117\0\129\3\49\107\129\117\0\130\16\49\107\129\117\0",
	90123, "\91\49\109\129\120\0\91\49\109\129\119\0\129\33\49\109\129\120\0\129\33\49\109\129\119\0\129\3\49\109\129\119\0\130\16\49\109\129\119\0",
	91733, "\91\49\111\129\122\0\91\49\111\129\121\0\129\33\49\111\129\122\0\129\33\49\111\129\121\0\129\3\49\111\129\121\0\130\16\49\111\129\121\0",
	93342, "\91\49\113\129\124\0\91\49\113\129\123\0\129\33\49\113\129\124\0\129\33\49\113\129\123\0\129\3\49\113\129\123\0\130\16\49\113\129\123\0",
	94951, "\91\49\115\129\126\0\91\49\115\129\125\0\129\33\49\115\129\126\0\129\33\49\115\129\125\0\129\3\49\115\129\125\0\130\16\49\115\129\125\0",
	96561, "\84\52\129\114\0\84\52\129\113\0\129\26\52\129\114\0\129\26\52\129\113\0\124\52\129\113\0\130\9\52\129\113\0",
	98170, "\84\55\98\129\92\0\84\55\98\129\91\0\129\26\55\98\129\92\0\129\26\55\98\129\91\0\124\55\98\129\91\0\130\9\55\98\129\91\0",
	99779, "\84\55\101\129\108\0\84\55\101\129\107\0\129\26\55\101\129\108\0\129\26\55\101\129\107\0\124\55\101\129\107\0\130\9\55\101\129\107\0",
	101389, "\84\55\103\129\112\0\84\55\103\129\111\0\129\26\55\103\129\112\0\129\26\55\103\129\111\0\124\55\103\129\111\0\130\9\55\103\129\111\0",
	102998, "\84\55\105\129\116\0\84\55\105\129\115\0\129\26\55\105\129\116\0\129\26\55\105\129\115\0\124\55\105\129\115\0\130\9\55\105\129\115\0",
	104607, "\84\55\107\129\118\0\84\55\107\129\117\0\129\26\55\107\129\118\0\129\26\55\107\129\117\0\124\55\107\129\117\0\130\9\55\107\129\117\0",
	106217, "\84\55\109\129\120\0\84\55\109\129\119\0\129\26\55\109\129\120\0\129\26\55\109\129\119\0\124\55\109\129\119\0\130\9\55\109\129\119\0",
	107826, "\84\55\111\129\122\0\84\55\111\129\121\0\129\26\55\111\129\122\0\129\26\55\111\129\121\0\124\55\111\129\121\0\130\9\55\111\129\121\0",
	109435, "\84\55\113\129\124\0\84\55\113\129\123\0\129\26\55\113\129\124\0\129\26\55\113\129\123\0\124\55\113\129\123\0\130\9\55\113\129\123\0",
	111045, "\84\55\115\129\126\0\84\55\115\129\125\0\129\26\55\115\129\126\0\129\26\55\115\129\125\0\124\55\115\129\125\0\130\9\55\115\129\125\0",
	112654, "\93\58\129\114\0\93\58\129\113\0\129\35\58\129\114\0\129\35\58\129\113\0\129\5\58\129\113\0\130\18\58\129\113\0",
	114263, "\93\61\98\129\92\0\93\61\98\129\91\0\129\35\61\98\129\92\0\129\35\61\98\129\91\0\129\5\61\98\129\91\0\130\18\61\98\129\91\0",
	115873, "\93\61\101\129\108\0\93\61\101\129\107\0\129\35\61\101\129\108\0\129\35\61\101\129\107\0\129\5\61\101\129\107\0\130\18\61\101\129\107\0",
	117482, "\93\61\103\129\112\0\93\61\103\129\111\0\129\35\61\103\129\112\0\129\35\61\103\129\111\0\129\5\61\103\129\111\0\130\18\61\103\129\111\0",
	119091, "\93\61\105\129\116\0\93\61\105\129\115\0\129\35\61\105\129\116\0\129\35\61\105\129\115\0\129\5\61\105\129\115\0\130\18\61\105\129\115\0",
	120701, "\93\61\107\129\118\0\93\61\107\129\117\0\129\35\61\107\129\118\0\129\35\61\107\129\117\0\129\5\61\107\129\117\0\130\18\61\107\129\117\0",
	122310, "\93\61\109\129\120\0\93\61\109\129\119\0\129\35\61\109\129\120\0\129\35\61\109\129\119\0\129\5\61\109\129\119\0\130\18\61\109\129\119\0",
	123919, "\93\61\111\129\122\0\93\61\111\129\121\0\129\35\61\111\129\122\0\129\35\61\111\129\121\0\129\5\61\111\129\121\0\130\18\61\111\129\121\0",
	125529, "\93\61\113\129\124\0\93\61\113\129\123\0\129\35\61\113\129\124\0\129\35\61\113\129\123\0\129\5\61\113\129\123\0\130\18\61\113\129\123\0",
	127138, "\93\61\115\129\126\0\93\61\115\129\125\0\129\35\61\115\129\126\0\129\35\61\115\129\125\0\129\5\61\115\129\125\0\130\18\61\115\129\125\0",
	128748, "\94\64\129\114\0\94\64\129\113\0\129\36\64\129\114\0\129\36\64\129\113\0\129\6\64\129\113\0\130\19\64\129\113\0",
	130357, "\94\67\98\129\92\0\94\67\98\129\91\0\129\36\67\98\129\92\0\129\36\67\98\129\91\0\129\6\67\98\129\91\0\130\19\67\98\129\91\0",
	131966, "\94\67\101\129\108\0\94\67\101\129\107\0\129\36\67\101\129\108\0\129\36\67\101\129\107\0\129\6\67\101\129\107\0\130\19\67\101\129\107\0",
	133576, "\94\67\103\129\112\0\94\67\103\129\111\0\129\36\67\103\129\112\0\129\36\67\103\129\111\0\129\6\67\103\129\111\0\130\19\67\103\129\111\0",
	135185, "\94\67\105\129\116\0\94\67\105\129\115\0\129\36\67\105\129\116\0\129\36\67\105\129\115\0\129\6\67\105\129\115\0\130\19\67\105\129\115\0",
	136794, "\94\67\107\129\118\0\94\67\107\129\117\0\129\36\67\107\129\118\0\129\36\67\107\129\117\0\129\6\67\107\129\117\0\130\19\67\107\129\117\0",
	138404, "\94\67\109\129\120\0\94\67\109\129\119\0\129\36\67\109\129\120\0\129\36\67\109\129\119\0\129\6\67\109\129\119\0\130\19\67\109\129\119\0",
	140013, "\94\67\111\129\122\0\94\67\111\129\121\0\129\36\67\111\129\122\0\129\36\67\111\129\121\0\129\6\67\111\129\121\0\130\19\67\111\129\121\0",
	141622, "\94\67\113\129\124\0\94\67\113\129\123\0\129\36\67\113\129\124\0\129\36\67\113\129\123\0\129\6\67\113\129\123\0\130\19\67\113\129\123\0",
	143232, "\94\67\115\129\126\0\94\67\115\129\125\0\129\36\67\115\129\126\0\129\36\67\115\129\125\0\129\6\67\115\129\125\0\130\19\67\115\129\125\0",
	144841, "\95\70\129\114\0\95\70\129\113\0\129\37\70\129\114\0\129\37\70\129\113\0\129\7\70\129\113\0\130\20\70\129\113\0",
	146450, "\95\73\98\129\92\0\95\73\98\129\91\0\129\37\73\98\129\92\0\129\37\73\98\129\91\0\129\7\73\98\129\91\0\130\20\73\98\129\91\0",
	148060, "\95\73\101\129\108\0\95\73\101\129\107\0\129\37\73\101\129\108\0\129\37\73\101\129\107\0\129\7\73\101\129\107\0\130\20\73\101\129\107\0",
	149669, "\95\73\103\129\112\0\95\73\103\129\111\0\129\37\73\103\129\112\0\129\37\73\103\129\111\0\129\7\73\103\129\111\0\130\20\73\103\129\111\0",
	151278, "\95\73\105\129\116\0\95\73\105\129\115\0\129\37\73\105\129\116\0\129\37\73\105\129\115\0\129\7\73\105\129\115\0\130\20\73\105\129\115\0",
	152888, "\95\73\107\129\118\0\95\73\107\129\117\0\129\37\73\107\129\118\0\129\37\73\107\129\117\0\129\7\73\107\129\117\0\130\20\73\107\129\117\0",
	154497, "\95\73\109\129\120\0\95\73\109\129\119\0\129\37\73\109\129\120\0\129\37\73\109\129\119\0\129\7\73\109\129\119\0\130\20\73\109\129\119\0",
	156106, "\95\73\111\129\122\0\95\73\111\129\121\0\129\37\73\111\129\122\0\129\37\73\111\129\121\0\129\7\73\111\129\121\0\130\20\73\111\129\121\0",
	157716, "\95\73\113\129\124\0\95\73\113\129\123\0\129\37\73\113\129\124\0\129\37\73\113\129\123\0\129\7\73\113\129\123\0\130\20\73\113\129\123\0",
	159325, "\95\73\115\129\126\0\95\73\115\129\125\0\129\37\73\115\129\126\0\129\37\73\115\129\125\0\129\7\73\115\129\125\0\130\20\73\115\129\125\0",
	160934, "\80\6\129\96\0\80\6\129\95\0\129\22\6\129\96\0\129\22\6\129\95\0\120\6\129\95\0\130\5\6\129\95\0",
	177028, "\80\8\99\129\94\0\80\8\99\129\93\0\129\22\8\99\129\94\0\129\22\8\99\129\93\0\120\8\99\129\93\0\130\5\8\99\129\93\0",
	193121, "\80\8\102\129\110\0\80\8\102\129\109\0\129\22\8\102\129\110\0\129\22\8\102\129\109\0\120\8\102\129\109\0\130\5\8\102\129\109\0",
	209215, "\80\8\104\129\114\0\80\8\104\129\113\0\129\22\8\104\129\114\0\129\22\8\104\129\113\0\120\8\104\129\113\0\130\5\8\104\129\113\0",
	225308, "\80\8\106\129\114\0\80\8\106\129\113\0\129\22\8\106\129\114\0\129\22\8\106\129\113\0\120\8\106\129\113\0\130\5\8\106\129\113\0",
	241402, "\80\8\108\129\114\0\80\8\108\129\113\0\129\22\8\108\129\114\0\129\22\8\108\129\113\0\120\8\108\129\113\0\130\5\8\108\129\113\0",
	257495, "\80\8\110\129\114\0\80\8\110\129\113\0\129\22\8\110\129\114\0\129\22\8\110\129\113\0\120\8\110\129\113\0\130\5\8\110\129\113\0",
	273588, "\80\8\112\129\114\0\80\8\112\129\113\0\129\22\8\112\129\114\0\129\22\8\112\129\113\0\120\8\112\129\113\0\130\5\8\112\129\113\0",
	289682, "\80\8\114\129\114\0\80\8\114\129\113\0\129\22\8\114\129\114\0\129\22\8\114\129\113\0\120\8\114\129\113\0\130\5\8\114\129\113\0",
	305775, "\80\8\116\129\114\0\80\8\116\129\113\0\129\22\8\116\129\114\0\129\22\8\116\129\113\0\120\8\116\129\113\0\130\5\8\116\129\113\0",
	321869, "\86\24\130\0\0\86\24\129\127\0\129\28\24\130\0\0\129\28\24\129\127\0\126\24\129\127\0\130\11\24\129\127\0",
	337962, "\88\25\99\129\94\0\88\25\99\129\93\0\129\30\25\99\129\94\0\129\30\25\99\129\93\0\129\0\25\99\129\93\0\130\13\25\99\129\93\0",
	354056, "\88\25\102\129\110\0\88\25\102\129\109\0\129\30\25\102\129\110\0\129\30\25\102\129\109\0\129\0\25\102\129\109\0\130\13\25\102\129\109\0",
	370149, "\88\25\104\129\114\0\88\25\104\129\113\0\129\30\25\104\129\114\0\129\30\25\104\129\113\0\129\0\25\104\129\113\0\130\13\25\104\129\113\0",
	386243, "\88\25\106\129\114\0\88\25\106\129\113\0\129\30\25\106\129\114\0\129\30\25\106\129\113\0\129\0\25\106\129\113\0\130\13\25\106\129\113\0",
	402336, "\88\25\108\129\114\0\88\25\108\129\113\0\129\30\25\108\129\114\0\129\30\25\108\129\113\0\129\0\25\108\129\113\0\130\13\25\108\129\113\0",
	418429, "\88\25\110\129\114\0\88\25\110\129\113\0\129\30\25\110\129\114\0\129\30\25\110\129\113\0\129\0\25\110\129\113\0\130\13\25\110\129\113\0",
	434523, "\88\25\112\129\114\0\88\25\112\129\113\0\129\30\25\112\129\114\0\129\30\25\112\129\113\0\129\0\25\112\129\113\0\130\13\25\112\129\113\0",
	450616, "\88\25\114\129\114\0\88\25\114\129\113\0\129\30\25\114\129\114\0\129\30\25\114\129\113\0\129\0\25\114\129\113\0\130\13\25\114\129\113\0",
	466710, "\88\25\116\129\114\0\88\25\116\129\113\0\129\30\25\116\129\114\0\129\30\25\116\129\113\0\129\0\25\116\129\113\0\130\13\25\116\129\113\0",
	482803, "\89\32\130\0\0\89\32\129\127\0\129\31\32\130\0\0\129\31\32\129\127\0\129\1\32\129\127\0\130\14\32\129\127\0",
	498897, "\89\33\99\129\94\0\89\33\99\129\93\0\129\31\33\99\129\94\0\129\31\33\99\129\93\0\129\1\33\99\129\93\0\130\14\33\99\129\93\0",
	514990, "\89\33\102\129\110\0\89\33\102\129\109\0\129\31\33\102\129\110\0\129\31\33\102\129\109\0\129\1\33\102\129\109\0\130\14\33\102\129\109\0",
	531084, "\89\33\104\129\114\0\89\33\104\129\113\0\129\31\33\104\129\114\0\129\31\33\104\129\113\0\129\1\33\104\129\113\0\130\14\33\104\129\113\0",
	547177, "\89\33\106\129\114\0\89\33\106\129\113\0\129\31\33\106\129\114\0\129\31\33\106\129\113\0\129\1\33\106\129\113\0\130\14\33\106\129\113\0",
	563270, "\89\33\108\129\114\0\89\33\108\129\113\0\129\31\33\108\129\114\0\129\31\33\108\129\113\0\129\1\33\108\129\113\0\130\14\33\108\129\113\0",
	579364, "\89\33\110\129\114\0\89\33\110\129\113\0\129\31\33\110\129\114\0\129\31\33\110\129\113\0\129\1\33\110\129\113\0\130\14\33\110\129\113\0",
	595457, "\89\33\112\129\114\0\89\33\112\129\113\0\129\31\33\112\129\114\0\129\31\33\112\129\113\0\129\1\33\112\129\113\0\130\14\33\112\129\113\0",
	611551, "\89\33\114\129\114\0\89\33\114\129\113\0\129\31\33\114\129\114\0\129\31\33\114\129\113\0\129\1\33\114\129\113\0\130\14\33\114\129\113\0",
	627644, "\89\33\116\129\114\0\89\33\116\129\113\0\129\31\33\116\129\114\0\129\31\33\116\129\113\0\129\1\33\116\129\113\0\130\14\33\116\129\113\0",
	643738, "\90\40\130\0\0\90\40\129\127\0\129\32\40\130\0\0\129\32\40\129\127\0\129\2\40\129\127\0\130\15\40\129\127\0",
	659831, "\90\41\99\129\94\0\90\41\99\129\93\0\129\32\41\99\129\94\0\129\32\41\99\129\93\0\129\2\41\99\129\93\0\130\15\41\99\129\93\0",
	675924, "\90\41\102\129\110\0\90\41\102\129\109\0\129\32\41\102\129\110\0\129\32\41\102\129\109\0\129\2\41\102\129\109\0\130\15\41\102\129\109\0",
	692018, "\90\41\104\129\114\0\90\41\104\129\113\0\129\32\41\104\129\114\0\129\32\41\104\129\113\0\129\2\41\104\129\113\0\130\15\41\104\129\113\0",
	708111, "\90\41\106\129\114\0\90\41\106\129\113\0\129\32\41\106\129\114\0\129\32\41\106\129\113\0\129\2\41\106\129\113\0\130\15\41\106\129\113\0",
	724205, "\90\41\108\129\114\0\90\41\108\129\113\0\129\32\41\108\129\114\0\129\32\41\108\129\113\0\129\2\41\108\129\113\0\130\15\41\108\129\113\0",
	740298, "\90\41\110\129\114\0\90\41\110\129\113\0\129\32\41\110\129\114\0\129\32\41\110\129\113\0\129\2\41\110\129\113\0\130\15\41\110\129\113\0",
	756392, "\90\41\112\129\114\0\90\41\112\129\113\0\129\32\41\112\129\114\0\129\32\41\112\129\113\0\129\2\41\112\129\113\0\130\15\41\112\129\113\0",
	772485, "\90\41\114\129\114\0\90\41\114\129\113\0\129\32\41\114\129\114\0\129\32\41\114\129\113\0\129\2\41\114\129\113\0\130\15\41\114\129\113\0",
	788579, "\90\41\116\129\114\0\90\41\116\129\113\0\129\32\41\116\129\114\0\129\32\41\116\129\113\0\129\2\41\116\129\113\0\130\15\41\116\129\113\0",
	804672, "\91\47\130\0\0\91\47\129\127\0\129\33\47\130\0\0\129\33\47\129\127\0\129\3\47\129\127\0\130\16\47\129\127\0",
	820765, "\96\130\1\47\130\0\0\96\130\1\47\129\127\0\129\38\130\1\47\130\0\0\129\38\130\1\47\129\127\0\129\8\130\1\47\129\127\0\130\16\47\129\127\0",
}

ordinals = {
	{L"1st", L"1stb", L"1stc"},
	{L"2nd", L"2ndb", L"2ndc"},
	{L"3rd", L"3rdb", L"3rdc"},
	{L"4th", L"4thb", L"4thc"},
	{L"5th", L"5thb", L"5thc"},
	{L"6th", L"6thb", L"6thc"},
	{L"7th", nil, L"7thc"},
	{L"8th", nil, L"8thc"},
	{L"9th", nil, L"9thc"},
	{L"10th", nil, L"10thc"},
	{L"11th", nil, L"11thc"},
	{L"12th", nil, L"12thc"},
	{L"13th", nil, L"13thc"},
	{L"14th", nil, L"14thc"},
	{L"15th", nil, L"15thc"},
	{L"16th", nil, L"16thc"},
	{L"17th", nil, L"17thc"},
	{L"18th", nil, L"18thc"},
	{L"19th", nil, L"19thc"},
	{L"20th", nil, L"20thc"},
}

